package Logoved::Role::Stream::Out::Section;
use strict;
use warnings;
use Moo::Role;
with 'Logoved::Role::Stream::Out::Pipe';
requires 'match_section_start';

sub _build_section_id {
    my ($self) = @_;
    my $id=$self->section_type;
    if (not $self->is_unique) {
	my $messager=$self->messager;
	my $section_id=$messager->get_message('section_id');
	$id .= '::'.$section_id if defined($section_id);
    }
    return $id;
}

sub get_error_classes { return };
sub get_warning_classes { return };
sub get_pop_up_classes { return };

sub keep_error_classes { return };
sub keep_warning_classes { return };
sub keep_pop_up_classes { return };

sub is_mandatory { return };
#sub is_repeatable { return };
sub is_unique { return 1};
sub is_required_for_success { return };
sub unshift_sections_on_reject { return };



1;

__END__
### -------------------- debug -----------------
my $debug_re=qr/Creating \S+-debuginfo package/;
before 'accept' => sub {
    warn 'BEFORE accept: ',$_[0]->section_type,': ',$_[1] if $_[1] =~ $debug_re;
};
before 'match_section_start' => sub {
    warn 'BEFORE matchss: ',$_[0]->section_type,': ',$_[1] if $_[1] =~ $debug_re;
};
before 'write' => sub {
    warn 'BEFORE write: ',$_[0]->section_type,': ', $_[1] if $_[1] =~ $debug_re;
};
