package Logoved::Stream::Listener::Factory::SectionWriter;
use Moo;
use Carp;
use File::Basename;
use File::Path qw(make_path remove_tree);
use Logoved::Stream::Out::Listener::SectionWriter;
use Logoved::Stream::Out::Listener::StatusWriter;
extends 'Logoved::Stream::Listener::Factory';

has 'topdir' => (is => 'rw', default => 'split-log');
has 'outdir' => (is => 'rw', );
has 'is_create_section_status' => (is => 'rw', );

sub get_listener_classes {
    my ($self)=@_;
    if ($self->is_create_section_status) {
	return qw/
	Logoved::Stream::Out::Listener::SectionWriter
	Logoved::Stream::Out::Listener::StatusWriter
	    /;
    } else {
	return qw/
	Logoved::Stream::Out::Listener::SectionWriter
	    /;
    }
}

sub init_new_stream {
    my ($self,$stream)=@_;
    my $output_path=$self->get_global_arg('outdir');
    unless (defined($output_path)) {
	my $topdir=$self->topdir;
	my $streamname=$stream->name;
	$output_path=$topdir.'/'.basename($streamname);
    }
    remove_tree($output_path) if -d $output_path;
    make_path($output_path);
    $self->outdir($output_path);
}

sub done_new_stream {}

1;
