package Logoved::Stream::Out::Hasher;

use Moo;
extends 'Logoved::Stream::Out::Switch';
with 'Logoved::Role::Stream::Out::Pipe';

use	Logoved::Stream::Out::Section::hasher::chroot::cache;
#use	Logoved::Stream::Out::Section::hasher::chroot::init;
use	Logoved::Stream::Out::Section::hasher::chroot::users;
use	Logoved::Stream::Out::Section::hasher::chroot::srpm::repack;
use	Logoved::Stream::Out::Section::hasher::chroot::srpm;
use	Logoved::Stream::Out::Section::rpmbuild::clean;
use	Logoved::Stream::Out::Section::rpmbuild::__clean;
use	Logoved::Stream::Out::Section::rpmbuild::prep;
use	Logoved::Stream::Out::Section::rpmbuild::build;
use	Logoved::Stream::Out::Section::rpmbuild::install;
use	Logoved::Stream::Out::Section::rpmbuild::install::brp;
use	Logoved::Stream::Out::Section::rpmbuild::check;
use	Logoved::Stream::Out::Section::rpmbuild::files;
use	Logoved::Stream::Out::Section::rpmbuild::deps_optimization;
use	Logoved::Stream::Out::Section::rpmbuild::intersect;
use	Logoved::Stream::Out::Section::rpmbuild::unpackaged;
use	Logoved::Stream::Out::Section::rpmbuild::write;
use	Logoved::Stream::Out::Section::hasher::time;
use	Logoved::Stream::Out::Section::beehive::error;
use	Logoved::Stream::Out::Section::beehive::time;
use	Logoved::Stream::Out::Section::beehive::rpm::missing;
use	Logoved::Stream::Out::Section::beehive::rpm::diff;

sub _build_sectionname_listref {
    my ($self)=@_;
    return [qw/
	Logoved::Stream::Out::Section::hasher::chroot::cache
	Logoved::Stream::Out::Section::hasher::chroot::users
	Logoved::Stream::Out::Section::hasher::chroot::srpm::repack
	Logoved::Stream::Out::Section::hasher::chroot::srpm
	Logoved::Stream::Out::Section::rpmbuild::clean
	Logoved::Stream::Out::Section::rpmbuild::__clean
	Logoved::Stream::Out::Section::rpmbuild::prep
	Logoved::Stream::Out::Section::rpmbuild::build
	Logoved::Stream::Out::Section::rpmbuild::install
	Logoved::Stream::Out::Section::rpmbuild::install::brp
	Logoved::Stream::Out::Section::rpmbuild::check
	Logoved::Stream::Out::Section::rpmbuild::files
	Logoved::Stream::Out::Section::rpmbuild::deps_optimization
	Logoved::Stream::Out::Section::rpmbuild::intersect
	Logoved::Stream::Out::Section::rpmbuild::unpackaged
	Logoved::Stream::Out::Section::rpmbuild::write
	/];
}

sub _build_sectionname_for_push_on_active_section_switch {
    return {
	# because time can be found in %check or earlier
	'Logoved::Stream::Out::Section::rpmbuild::files' =>
	    [ qw/
	      Logoved::Stream::Out::Section::hasher::time
	      Logoved::Stream::Out::Section::beehive::time
	      Logoved::Stream::Out::Section::beehive::rpm::missing
	      Logoved::Stream::Out::Section::beehive::rpm::diff
	      /],

	    # ERROR SECTIONS - adds beehive tail
	    # NOTE: 'Command exited with non-zero status 1'
	    # is beehive message, can be shared among error classes
	    # as beehive::error section folowed by beehive::time
	'Logoved::Stream::Out::Section::hasher::chroot::file_conflict' =>
	    [ qw/
	      Logoved::Stream::Out::Section::beehive::error
	      Logoved::Stream::Out::Section::beehive::time
	      /],
	# 'Logoved::Stream::Out::Section::hasher::chroot::apt' =>
	#     [ qw/
	#       Logoved::Stream::Out::Section::beehive::time
	#       /],
	# 'Logoved::Stream::Out::Section::hasher::chroot::error' =>
	#     [ qw/
	#       Logoved::Stream::Out::Section::beehive::time
	#       /],
	# 'Logoved::Stream::Out::Section::hasher::chroot::sisyphus_check' =>
	#     [ qw/
	#       Logoved::Stream::Out::Section::beehive::time
	#       /],
    };
}


1;
__END__
