package Logoved::Stream::Out::Section::common::warning::sisyphus_check;
use strict;
use warnings;
use Exporter;
our @ISA = qw(Exporter);
our @EXPORT_OK = qw($sisyphus_check_warning_re);

our $sisyphus_check_warning_re=qr!^/(?:\.out|usr/src/in/srpm)/\S+\.rpm: (?:The use of such a license name is ambiguous:|license not found in '/usr/share/license' directory:|exception not found in '/usr/share/license-exception' directory:|bad symbols in the license tag:) !;

1;
__END__
<86>Dec  3 07:17:09 useradd[12252]: new user: name=builder, UID=556, GID=556, home=/usr/src, shell=/bin/bash
/usr/src/in/srpm/asoundconf-0.1-alt1.src.rpm: The use of such a license name is ambiguous: GPL
Building target platforms: i586
Building for target i586
Wrote: /usr/src/in/nosrpm/asoundconf-0.1-alt1.nosrc.rpm
Installing asoundconf-0.1-alt1.src.rpm
Building target platforms: i586
Building for target i586
Executing(%prep): /bin/sh -e /usr/src/tmp/rpm-tmp.37096
__END__
<86>Dec  6 07:06:44 useradd[28371]: new user: name=builder, UID=580, GID=580, home=/usr/src, shell=/bin/bash
/usr/src/in/srpm/frotz-2.43-alt1.src.rpm: The use of such a license name is ambiguous: GPL
/usr/src/in/srpm/frotz-2.43-alt1.src.rpm: license not found in '/usr/share/license' directory: v2
warning: user alex does not exist - using root
warning: group alex does not exist - using root
warning: user alex does not exist - using root
warning: group alex does not exist - using root
<13>Dec  6 07:06:48 rpmi: libtinfo-devel-6.1.20180407-alt2 sisyphus+222164.200.1.1 1550686226 installed
<13>Dec  6 07:06:48 rpmi: libncurses-devel-6.1.20180407-alt2 sisyphus+222164.200.1.1 1550686226 installed
Building target platforms: i586
Building for target i586
Wrote: /usr/src/in/nosrpm/frotz-2.43-alt1.nosrc.rpm
Installing frotz-2.43-alt1.src.rpm
Building target platforms: i586
Building for target i586
Executing(%prep): /bin/sh -e /usr/src/tmp/rpm-tmp.10298
__END__
<86>Aug 25 06:13:27 userdel[2194517]: delete user 'rooter'
<86>Aug 25 06:13:27 userdel[2194517]: removed group 'rooter' owned by 'rooter'
<86>Aug 25 06:13:27 groupadd[2194522]: group added to /etc/group: name=rooter, GID=624
<86>Aug 25 06:13:27 groupadd[2194522]: group added to /etc/gshadow: name=rooter
<86>Aug 25 06:13:27 groupadd[2194522]: new group: name=rooter, GID=624
<86>Aug 25 06:13:27 useradd[2194529]: new user: name=rooter, UID=624, GID=624, home=/root, shell=/bin/bash
<86>Aug 25 06:13:27 userdel[2194536]: delete user 'builder'
<86>Aug 25 06:13:27 userdel[2194536]: removed group 'builder' owned by 'builder'
<86>Aug 25 06:13:27 userdel[2194536]: removed shadow group 'builder' owned by 'builder'
<86>Aug 25 06:13:27 groupadd[2194545]: group added to /etc/group: name=builder, GID=625
<86>Aug 25 06:13:27 groupadd[2194545]: group added to /etc/gshadow: name=builder
<86>Aug 25 06:13:27 groupadd[2194545]: new group: name=builder, GID=625
<86>Aug 25 06:13:27 useradd[2194556]: new user: name=builder, UID=625, GID=625, home=/usr/src, shell=/bin/bash
/usr/src/in/srpm/libpcapnav-0.8-alt2_16.src.rpm: exception not found in '/usr/share/license-exception' directory: advertising
warning: user igor does not exist - using root
warning: group igor does not exist - using root
warning: user igor does not exist - using root
warning: group igor does not exist - using root
warning: user igor does not exist - using root
warning: group igor does not exist - using root
<13>Aug 25 06:13:32 rpmi: libjpeg-2:2.0.6-alt3 sisyphus+276287.100.3.1 1625270396 installed
<13>Aug 25 06:13:32 rpmi: libpng16-1.6.37-alt1 sisyphus+275734.100.2.1 1624788826 installed
<13>Aug 25 06:13:32 rpmi: libexpat-2.2.10-alt1 sisyphus+276608.100.1.2 1625153355 installed
<13>Aug 25 06:13:32 rpmi: sgml-common-0.6.3-alt15 sisyphus+276099.100.1.1 1624817971 installed
<13>Aug 25 06:13:32 rpmi: perl-HTTP-Date-6.05-alt1 sisyphus+258981.100.1.1 1601542386 installed
<13>Aug 25 06:13:32 rpmi: tex-common-0.2-alt4 sisyphus+276869.100.1.1 1625246366 installed
