package Logoved::Stream::Out::Section::hasher::chroot::apt;
use Moo;
extends 'Logoved::Stream::Out::Section';
with 'Logoved::Role::Stream::Out::Section';

sub match_section_start {
    my ($self, $line) = @_;
    return $line=~/^Reading Package Lists\.\.\./;
};

sub accept {
    my ($self, $line) = @_;
    my $count=$self->count();
    #print "DEBUG2: count=$count line=$line";
    if ($count==0) {
	return $line=~/^Reading Package Lists\.\.\./;
    } elsif ($count==1) {
	return $line=~/^Building Dependency Tree\.\.\./;
    } else {
	if ($line=~/^(?:E:|MI2a:|MI2b:|MI2c:|hsh-install:|Selecting |Selected |Command exited with non-zero status|[\d.]+(?:user|inputs))/) {
	    return 1;
	} elsif ($line=~/is already the newest version/) {
	    return 1;
	} else {
	    #warn 'AptError: ', $self->name,': Unexpected line: ',$line;
	}
    }
    return 1;
};


1;
__END__
<86>Aug  1 12:05:40 userdel[16275]: delete user 'rooter'
<86>Aug  1 12:05:40 userdel[16275]: removed group 'rooter' owned by 'rooter'
<86>Aug  1 12:05:40 userdel[16275]: removed shadow group 'rooter' owned by 'rooter'
<86>Aug  1 12:05:40 groupadd[16290]: group added to /etc/group: name=rooter, GID=547
<86>Aug  1 12:05:40 groupadd[16290]: group added to /etc/gshadow: name=rooter
<86>Aug  1 12:05:40 groupadd[16290]: new group: name=rooter, GID=547
<86>Aug  1 12:05:40 useradd[16297]: new user: name=rooter, UID=547, GID=547, home=/root, shell=/bin/bash
<86>Aug  1 12:05:40 userdel[16316]: delete user 'builder'
<86>Aug  1 12:05:40 userdel[16316]: removed group 'builder' owned by 'builder'
<86>Aug  1 12:05:40 groupadd[16325]: group added to /etc/group: name=builder, GID=548
<86>Aug  1 12:05:40 groupadd[16325]: group added to /etc/gshadow: name=builder
<86>Aug  1 12:05:40 groupadd[16325]: new group: name=builder, GID=548
<86>Aug  1 12:05:40 useradd[16338]: new user: name=builder, UID=548, GID=548, home=/usr/src, shell=/bin/bash
Reading Package Lists...
Building Dependency Tree...
E: Couldn't find package qtsingleapplication-qt5-devel
hsh-install: Failed to calculate package file list.
hsh-install: Failed to generate package file list.
-------------------------------------------------------
<86>Aug  7 06:07:29 userdel[95679]: delete user 'rooter'
<86>Aug  7 06:07:29 userdel[95679]: removed group 'rooter' owned by 'rooter'
<86>Aug  7 06:07:29 userdel[95679]: removed shadow group 'rooter' owned by 'rooter'
<86>Aug  7 06:07:29 groupadd[95703]: group added to /etc/group: name=rooter, GID=564
<86>Aug  7 06:07:29 groupadd[95703]: group added to /etc/gshadow: name=rooter
<86>Aug  7 06:07:29 groupadd[95703]: new group: name=rooter, GID=564
<86>Aug  7 06:07:29 useradd[95728]: new user: name=rooter, UID=564, GID=564, home=/root, shell=/bin/bash
<86>Aug  7 06:07:29 userdel[95758]: delete user 'builder'
<86>Aug  7 06:07:29 userdel[95758]: removed group 'builder' owned by 'builder'
<86>Aug  7 06:07:29 userdel[95758]: removed shadow group 'builder' owned by 'builder'
<86>Aug  7 06:07:29 groupadd[95784]: group added to /etc/group: name=builder, GID=565
<86>Aug  7 06:07:29 groupadd[95784]: group added to /etc/gshadow: name=builder
<86>Aug  7 06:07:29 groupadd[95784]: new group: name=builder, GID=565
<86>Aug  7 06:07:29 useradd[95808]: new user: name=builder, UID=565, GID=565, home=/usr/src, shell=/bin/bash
warning: Macro %_qt3dir not found
warning: Macro %_qt3dir not found
warning: Macro %_qt3dir not found
warning: Macro %_qt3dir not found
warning: Macro %_qt3dir not found
Reading Package Lists...
Building Dependency Tree...
MI2a: mark gcc-c++
MI2a:  target gcc7-c++
MI2a:   mark gcc7-c++
MI2a:    target libstdc++7-devel
MI2a:     mark libstdc++7-devel
MI2a:      target gcc-c++-common
MI2a:       mark gcc-c++-common
E: Couldn't find package kdepim-devel
hsh-install: Failed to calculate package file list.
hsh-install: Failed to generate package file list.
Command exited with non-zero status 1
6.64user 1.48system 0:09.23elapsed 87%CPU (0avgtext+0avgdata 127484maxresident)k
0inputs+0outputs (0major+220324minor)pagefaults 0swaps
------------------
Package LibreOffice4-common has no available version, but exists in the database.
This typically means that the package was mentioned in a dependency and
never uploaded, has been obsoleted or is not available with the contents
of sources.list
However the following packages replace it:
  LibreOffice-still-common LibreOffice-common
E: Package LibreOffice4-common has no installation candidate
-------------------
<86>Aug  7 06:09:16 userdel[54195]: delete user 'rooter'
<86>Aug  7 06:09:16 userdel[54195]: removed group 'rooter' owned by 'rooter'
<86>Aug  7 06:09:16 userdel[54195]: removed shadow group 'rooter' owned by 'rooter'
<86>Aug  7 06:09:16 groupadd[54220]: group added to /etc/group: name=rooter, GID=624
<86>Aug  7 06:09:16 groupadd[54220]: group added to /etc/gshadow: name=rooter
<86>Aug  7 06:09:16 groupadd[54220]: new group: name=rooter, GID=624
<86>Aug  7 06:09:16 useradd[54245]: new user: name=rooter, UID=624, GID=624, home=/root, shell=/bin/bash
<86>Aug  7 06:09:16 userdel[54278]: delete user 'builder'
<86>Aug  7 06:09:16 userdel[54278]: removed group 'builder' owned by 'builder'
<86>Aug  7 06:09:16 userdel[54278]: removed shadow group 'builder' owned by 'builder'
<86>Aug  7 06:09:16 groupadd[54298]: group added to /etc/group: name=builder, GID=625
<86>Aug  7 06:09:16 groupadd[54298]: group added to /etc/gshadow: name=builder
<86>Aug  7 06:09:16 groupadd[54298]: new group: name=builder, GID=625
<86>Aug  7 06:09:16 useradd[54308]: new user: name=builder, UID=625, GID=625, home=/usr/src, shell=/bin/bash
Reading Package Lists...
Building Dependency Tree...
MI2a: mark postgresql10-devel
MI2a:  target libpq5.10-devel
MI2a:   mark libpq5.10-devel
MI2a:    target libpq5.10
MI2a:     mark libpq5.10
MI2a:      target libcrypto.so.10
MI2a:       mark libcrypto10
MI2a:        target ca-certificates
MI2a:         mark ca-certificates
MI2a:          target ca-trust
MI2a:           mark ca-trust
MI2a:            target p11-kit-trust
MI2a:             mark p11-kit-trust
MI2a:              target libp11-kit
MI2a:               mark libp11-kit
MI2a:              target libtasn1.so.6
MI2a:               mark libtasn1
MI2a:      target libgssapi_krb5.so.2
MI2a:       mark libkrb5
MI2a:        target libcom_err.so.2
MI2a:         mark libcom_err
MI2a:        target libkeyutils.so.1
MI2a:         mark libkeyutils
MI2a:        target libssl.so.10
MI2a:         mark libssl10
MI2a:        target libverto.so.1
MI2a:         mark libverto
MI2a:      target libldap_r-2.4.so.2
MI2a:       mark libldap
MI2a:        target libsasl2.so.3
MI2a:         mark libsasl2-3
MI2a:  target libecpg6.10-devel
MI2a:   mark libecpg6.10-devel
MI2a:    target libecpg6.10
MI2a:     mark libecpg6.10
MI2a: mark postgresql9.6-server
MI2a:  target syslogd-daemon AMB
MI2a:  target chrooted
MI2a:   mark chrooted
MI2a:  target postgresql-common
MI2a:   mark postgresql-common
MI2a:    target monit-base
MI2a:     mark monit-base
MI2a:  target postgresql9.6
MI2a:   mark postgresql9.6
MI2a:    target libpq5.9
MI2a:     mark libpq5.9
MI2a:      delete libpq5.10
MI2a:  target libsetproctitle.so.0
MI2a:   mark setproctitle
MI2a:  target su
MI2a:   mark su
MI2b: mark postgresql9.6-server
MI2b:  target syslogd-daemon AMB
MI2c: mark postgresql9.6-server
MI2c:  target syslogd-daemon
MI2c:   mark systemd
MI2c:    target agetty
MI2c:     mark agetty
MI2c:      target login
MI2c:       mark login
MI2c:    target acl
MI2c:     mark acl
MI2c:    target libidn2
MI2c:     mark libidn2
MI2c:    target systemd-utils
MI2c:     mark systemd-utils
MI2c:      target /etc/modules
MI2c:       mark startup
MI2c:        target mount
MI2c:         mark mount
MI2c:        target hwclock
MI2c:         mark hwclock
MI2c:        target /sbin/halt AMB
MI2c:        target /sbin/reboot AMB
MI2c:        target /sbin/shutdown AMB
MI2c:        target /sbin/telinit AMB
MI2c:        target msulogin
MI2c:         mark msulogin
MI2c:      target libcryptsetup.so.12
MI2c:       mark libcryptsetup
MI2c:        target libgcrypt
MI2c:         mark libgcrypt20
MI2c:          target libgpg-error
MI2c:           mark libgpg-error
MI2c:        target libargon2.so.1
MI2c:         mark libargon2
MI2c:        target libdevmapper.so.1.00
MI2c:         mark libdevmapper
MI2c:        target libjson-c.so.2
MI2c:         mark libjson-c
MI2c:      target libip4tc.so.0
MI2c:       mark libiptables
MI2c:      target libkmod.so.2
MI2c:       mark libkmod
MI2c:      target liblz4.so.1
MI2c:       mark liblz4
MI2c:      target libpcre2-8.so.0
MI2c:       mark libpcre2
MI2c:      target libseccomp.so.2
MI2c:       mark libseccomp
MI2c:    target systemd-services
MI2c:     mark systemd-services
MI2c:      target pam_systemd
MI2c:       mark pam_systemd
MI2c:        target dbus
MI2c:         mark dbus
MI2c:          target libdbus
MI2c:           mark libdbus
MI2c:            target libsystemd.so.0
MI2c:             mark libsystemd
MI2c:          target libexpat.so.1
MI2c:           mark libexpat
MI2c:          target dbus-tools
MI2c:           mark dbus-tools
MI2c:    target libnss-myhostname
MI2c:     mark libnss-myhostname
MI2c:      target chrooted-resolv
MI2c:       mark chrooted-resolv
MI2c:    target udev-rules
MI2c:     mark udev-rules
MI2b: mark startup
MI2b:  target /sbin/halt AMB
MI2b:  target /sbin/reboot AMB
MI2b:  target /sbin/shutdown AMB
MI2b:  target /sbin/telinit AMB
MI2c: mark startup
MI2c:  target /sbin/halt
MI2c:   mark sysvinit
MI2a: mark postgresql9.4-contrib
MI2a:  target postgresql9.4
MI2a:   mark postgresql9.4
MI2a:    target libpq5.7
MI2a:     mark libpq5.7
MI2a:      delete libpq5.9
MI2a:      delete libpq5.9-1C
MI2a:      delete libpq5.8
MI2a:      delete libpq5.10
MI2a:    delete postgresql9.6
MI2a:    delete postgresql9.6-1C
MI2a:    delete postgresql9.5
MI2a:    delete postgresql10
MI2a:  target libossp-uuid.so.15
MI2a:   mark libossp-uuid
MI2a:  target libxslt.so.1
MI2a:   mark libxslt
MI2a: mark python-dev
MI2a:  target python-modules-distutils
MI2a:   mark python-modules-distutils
MI2a:    target python
MI2a:     mark python
MI2a:      target python-modules-encodings
MI2a:       mark python-modules-encodings
MI2a:        target python-modules
MI2a:         mark python-modules
MI2a:          target libgdbm.so.3
MI2a:           mark libgdbm
MI2a:          target python-modules-compiler
MI2a:           mark python-modules-compiler
MI2a:          target python-modules-email
MI2a:           mark python-modules-email
MI2a:          target python-modules-unittest
MI2a:           mark python-modules-unittest
MI2a:          target python-modules-nis
MI2a:           mark python-modules-nis
MI2a:            target libnsl.so.2
MI2a:             mark libnsl2
MI2a:              target libtirpc.so.3
MI2a:               mark libtirpc
MI2a:      target python-modules-curses
MI2a:       mark python-modules-curses
MI2a:      target python-modules-xml
MI2a:       mark python-modules-xml
MI2a:      target python-modules-hotshot
MI2a:       mark python-modules-hotshot
MI2a:      target python-modules-bsddb
MI2a:       mark python-modules-bsddb
MI2a:      target python-modules-logging
MI2a:       mark python-modules-logging
MI2a:        target python-modules-multiprocessing
MI2a:         mark python-modules-multiprocessing
MI2a:          target python-modules-ctypes
MI2a:           mark python-modules-ctypes
MI2a:  target libnsl2-devel
MI2a:   mark libnsl2-devel
MI2a:  target libncurses-devel
MI2a:   mark libncurses-devel
MI2a:    target libtinfo-devel
MI2a:     mark libtinfo-devel
Starting
Starting 2
Selecting postgresql10-devel for 'postgresql-devel'
Selecting postgresql9.6-server for 'postgresql-server'
Selecting python-dev for 'python-devel'
Investigating postgresql9.6-server
Package postgresql9.6-server has broken dep on postgresql9.6
  Considering postgresql9.6 1 as a solution to postgresql9.6-server 9999
  Re-Instated libpq5.9
  Re-Instated postgresql9.6
Investigating libpq5.10-devel
Package libpq5.10-devel has broken dep on libpq5.10
  Considering libpq5.10 2 as a solution to libpq5.10-devel 2
  Holding Back libpq5.10-devel rather than change libpq5.10
Investigating postgresql9.4
Package postgresql9.4 has broken dep on postgresql
  Considering postgresql9.6 1 as a solution to postgresql9.4 2
  Added postgresql9.6 to the remove list
  Considering postgresql9.6-1C 0 as a solution to postgresql9.4 2
  Considering postgresql9.5 0 as a solution to postgresql9.4 2
  Considering postgresql10 0 as a solution to postgresql9.4 2
Package postgresql9.4 has broken dep on postgresql9.6
  Considering postgresql9.6 1 as a solution to postgresql9.4 2
  Added postgresql9.6 to the remove list
  Fixing postgresql9.4 via keep of postgresql9.6
Investigating libpq5.7
Package libpq5.7 has broken dep on libpq5
  Considering libpq5.9 0 as a solution to libpq5.7 0
  Holding Back libpq5.7 rather than change libpq5
Investigating libecpg6.10
Package libecpg6.10 has broken dep on libpq5.10
  Considering libpq5.10 2 as a solution to libecpg6.10 0
  Holding Back libecpg6.10 rather than change libpq5.10
Investigating postgresql9.6-server
Package postgresql9.6-server has broken dep on postgresql9.6
  Considering postgresql9.6 1 as a solution to postgresql9.6-server 9999
Investigating postgresql10-devel
Package postgresql10-devel has broken dep on libpq5.10-devel
  Considering libpq5.10-devel 2 as a solution to postgresql10-devel 9999
  Re-Instated libpq5.10
  Re-Instated libpq5.10-devel
Investigating libpq5.10
Package libpq5.10 has broken dep on libpq5
  Considering libpq5.9 0 as a solution to libpq5.10 2
  Added libpq5.9 to the remove list
  Considering libpq5.9-1C 0 as a solution to libpq5.10 2
  Considering libpq5.8 0 as a solution to libpq5.10 2
  Considering libpq5.7 0 as a solution to libpq5.10 2
  Considering libpq5.6 0 as a solution to libpq5.10 2
Investigating libecpg6.10-devel
Package libecpg6.10-devel has broken dep on libecpg6.10
  Considering libecpg6.10 0 as a solution to libecpg6.10-devel 2
  Holding Back libecpg6.10-devel rather than change libecpg6.10
Investigating postgresql9.4
Package postgresql9.4 has broken dep on libpq5.7
  Considering libpq5.7 0 as a solution to postgresql9.4 2
  Holding Back postgresql9.4 rather than change libpq5.7
Investigating libpq5.9
Package libpq5.9 has broken dep on libpq5
  Considering libpq5.10 2 as a solution to libpq5.9 0
  Holding Back libpq5.9 rather than change libpq5
Investigating postgresql9.6-server
Package postgresql9.6-server has broken dep on postgresql9.6
  Considering postgresql9.6 1 as a solution to postgresql9.6-server 9999
Investigating postgresql9.4-contrib
Package postgresql9.4-contrib has broken dep on postgresql9.4
  Considering postgresql9.4 2 as a solution to postgresql9.4-contrib 9999
  Re-Instated libpq5.7
  Re-Instated postgresql9.4
Investigating postgresql10-devel
Package postgresql10-devel has broken dep on libecpg6.10-devel
  Considering libecpg6.10-devel 2 as a solution to postgresql10-devel 9999
  Re-Instated libecpg6.10
  Re-Instated libecpg6.10-devel
Investigating libpq5.10
Package libpq5.10 has broken dep on libpq5
  Considering libpq5.9 0 as a solution to libpq5.10 2
  Considering libpq5.9-1C 0 as a solution to libpq5.10 2
  Considering libpq5.8 0 as a solution to libpq5.10 2
  Considering libpq5.7 0 as a solution to libpq5.10 2
  Added libpq5.7 to the remove list
  Considering libpq5.6 0 as a solution to libpq5.10 2
Investigating libpq5.7
Package libpq5.7 has broken dep on libpq5
  Considering libpq5.9 0 as a solution to libpq5.7 0
  Holding Back libpq5.7 rather than change libpq5
Investigating postgresql9.6-server
Package postgresql9.6-server has broken dep on postgresql9.6
  Considering postgresql9.6 1 as a solution to postgresql9.6-server 9999
Investigating postgresql9.4
Package postgresql9.4 has broken dep on libpq5.7
  Considering libpq5.7 0 as a solution to postgresql9.4 2
  Holding Back postgresql9.4 rather than change libpq5.7
Investigating postgresql9.6-server
Package postgresql9.6-server has broken dep on postgresql9.6
  Considering postgresql9.6 1 as a solution to postgresql9.6-server 9999
Investigating postgresql9.4-contrib
Package postgresql9.4-contrib has broken dep on postgresql9.4
  Considering postgresql9.4 2 as a solution to postgresql9.4-contrib 9999
Done
Some packages could not be installed. This may mean that you have
requested an impossible situation or if you are using the unstable
distribution that some required packages have not yet been created
or been moved out of Incoming.
The following information may help to resolve the situation:

The following packages have unmet dependencies:
  postgresql9.4-contrib: Depends: postgresql9.4 (= 9.4.18-alt1)
  postgresql9.6-server: Depends: postgresql9.6 (= 9.6.9-alt1)
E: Broken packages
hsh-install: Failed to calculate package file list.
hsh-install: Failed to generate package file list.
Command exited with non-zero status 1
7.42user 1.52system 0:09.51elapsed 94%CPU (0avgtext+0avgdata 131252maxresident)k
0inputs+0outputs (0major+226562minor)pagefaults 0swaps
__END__
