package Logoved::Stream::Out::Section::hasher::chroot::buildrequires;
use Logoved::Stream::Out::Section::common::cleanup qw/cleanup_macros_artefacts/;
use Moo;
extends 'Logoved::Stream::Out::Section';
#with 'Logoved::Role::Stream::Out::Section';

sub get_error_classes {
    use Logoved::Stream::Out::Section::hasher::timeout;
    use Logoved::Stream::Out::Section::hasher::chroot::apt;
    use Logoved::Stream::Out::Section::hasher::chroot::file_conflict;
    use Logoved::Stream::Out::Section::hasher::chroot::error;
    use Logoved::Stream::Out::Section::hasher::chroot::sisyphus_check;

    return qw/
	Logoved::Stream::Out::Section::hasher::timeout
	Logoved::Stream::Out::Section::hasher::chroot::apt
	Logoved::Stream::Out::Section::hasher::chroot::file_conflict
	Logoved::Stream::Out::Section::hasher::chroot::error
	Logoved::Stream::Out::Section::hasher::chroot::sisyphus_check
	/;
}

sub match_section_start {
    my ($self, $line) = @_;
    $line=cleanup_macros_artefacts($line);
    return ($line!~/^<13>\S+\s+\d+ [0-9:]+ rpmi:/) && ($line!~/^Reading Package Lists\.\.\./);
};

1;
__END__
<86>Aug  6 10:00:12 useradd[14948]: new user: name=builder, UID=577, GID=577, home=/usr/src, shell=/bin/bash
Package gtk+-2.0 was not found in the pkg-config search path.
Perhaps you should add the directory containing `gtk+-2.0.pc'
to the PKG_CONFIG_PATH environment variable
No package 'gtk+-2.0' found
<13>Aug  6 10:00:18 rpmi: xorg-proto-devel-2018.4-alt3 1527685079 installed
---------------
<86>Aug 11 07:59:15 userdel[1232]: delete user 'rooter'
<86>Aug 11 07:59:15 userdel[1232]: removed group 'rooter' owned by 'rooter'
<86>Aug 11 07:59:15 userdel[1232]: removed shadow group 'rooter' owned by 'rooter'
<86>Aug 11 07:59:15 groupadd[1257]: group added to /etc/group: name=rooter, GID=552
<86>Aug 11 07:59:15 groupadd[1257]: group added to /etc/gshadow: name=rooter
<86>Aug 11 07:59:15 groupadd[1257]: new group: name=rooter, GID=552
<86>Aug 11 07:59:15 useradd[1276]: new user: name=rooter, UID=552, GID=552, home=/root, shell=/bin/bash
<86>Aug 11 07:59:15 userdel[1307]: delete user 'builder'
<86>Aug 11 07:59:15 userdel[1307]: removed group 'builder' owned by 'builder'
<86>Aug 11 07:59:15 userdel[1307]: removed shadow group 'builder' owned by 'builder'
<86>Aug 11 07:59:15 groupadd[1331]: group added to /etc/group: name=builder, GID=553
<86>Aug 11 07:59:15 groupadd[1331]: group added to /etc/gshadow: name=builder
<86>Aug 11 07:59:15 groupadd[1331]: new group: name=builder, GID=553
<86>Aug 11 07:59:15 useradd[1349]: new user: name=builder, UID=553, GID=553, home=/usr/src, shell=/bin/bash
warning: user aris does not exist - using root
warning: group aris does not exist - using root
warning: user aris does not exist - using root
warning: group aris does not exist - using root
warning: Macro %add_python3_req_skip not found
error: line 28: Unknown tag: %add_python3_req_skip classes classes.legacy.openshot.classes images
hsh-rebuild: openshot-2.4.2-alt1.src.rpm: failed to fetch build dependencies.
Command exited with non-zero status 1
16.28user 4.13system 0:20.55elapsed 99%CPU (0avgtext+0avgdata 127468maxresident)k
0inputs+0outputs (0major+202397minor)pagefaults 0swaps

