package Logoved::Stream::Out::Section::hasher::chroot::error;
use Moo;
extends 'Logoved::Stream::Out::Section';
with 'Logoved::Role::Stream::Out::Section';

sub match_section_start {
    my ($self, $line) = @_;
    # failsafe
    return 1 if $line=~m!^hsh-rebuild: rebuild of `\S+' failed\.!;
    return 1 if $line=~/^error: failed build dependencies:/;
    return 1 if $line=~/^E: Sub-process hsh-rpmi-print-files returned an error code/;
    # WARNING! more generic apt error start then above, but can be confused with chroot::apt before srpm::repack!
    return 1 if $line=~/^MI2a: /;
    # not fatal; 
    #does not work in (pre), like, %add_optflags -fno-strict-aliasing $(pkg-config hdf5 --cflags)
    #error: Unknown option ? in add_optflags(a:f:t:p:w:W:d:g:O:A:C:D:E:H:i:M:n:P:U:u:l:s:X:B:I:L:b:V:m:x:c:S:E:o:v:)
    #error: Unterminated {: {expand:%(sed s!__LANG__!zh_
    #  1<   (empty)
    # like, in %define x86 (see fglrx_lx)
    #error: Macro %x86 has empty body
    return 0 if $line=~/^error: Unknown option \S+ in /;
    return 0 if $line=~/^error: Macro \S+ (?:not found|failed to expand|has empty body)/;
    return $line=~/^(?:error: |hsh-rebuild: \S+: failed to fetch build dependencies\.)/;
};

1;
__END__
<86>Aug 11 07:59:15 userdel[1232]: delete user 'rooter'
[...]
<86>Aug 11 07:59:15 useradd[1349]: new user: name=builder, UID=553, GID=553, home=/usr/src, shell=/bin/bash
warning: user aris does not exist - using root
warning: group aris does not exist - using root
warning: user aris does not exist - using root
warning: group aris does not exist - using root
warning: Macro %add_python3_req_skip not found
error: line 28: Unknown tag: %add_python3_req_skip classes classes.legacy.openshot.classes images
hsh-rebuild: openshot-2.4.2-alt1.src.rpm: failed to fetch build dependencies.
Command exited with non-zero status 1
16.28user 4.13system 0:20.55elapsed 99%CPU (0avgtext+0avgdata 127468maxresident)k
0inputs+0outputs (0major+202397minor)pagefaults 0swaps
------------------------------------
warning: Macro %_altdir not found
warning: Macro %_altdir not found
warning: Macro %_altdir not found
Building target platforms: i586
Building for target i586
Wrote: /usr/src/in/nosrpm/aspell-0.60.6.1-alt2.nosrc.rpm
warning: Macro %_altdir not found
warning: Macro %_altdir not found
error: Macro %_altdir not found
error: line 114: %_altdir/aspell-ispell

Installing aspell-0.60.6.1-alt2.src.rpm
Building target platforms: i586
Building for target i586
Command exited with non-zero status 1
0.19user 0.00system 0:00.20elapsed 100%CPU (0avgtext+0avgdata 5664maxresident)k
0inputs+0outputs (0major+432minor)pagefaults 0swaps
hsh-rebuild: rebuild of `aspell-0.60.6.1-alt2.src.rpm' failed.
Command exited with non-zero status 1
15.98user 4.78system 0:20.84elapsed 99%CPU (0avgtext+0avgdata 127340maxresident)k
2504inputs+0outputs (0major+360406minor)pagefaults 0swaps
__END__
<86>Mar 28 08:42:42 userdel[204698]: delete user 'rooter'
<86>Mar 28 08:42:42 userdel[204698]: removed group 'rooter' owned by 'rooter'
<86>Mar 28 08:42:42 userdel[204698]: removed shadow group 'rooter' owned by 'rooter'
<86>Mar 28 08:42:42 groupadd[204707]: group added to /etc/group: name=rooter, GID=537
<86>Mar 28 08:42:42 groupadd[204707]: group added to /etc/gshadow: name=rooter
<86>Mar 28 08:42:42 groupadd[204707]: new group: name=rooter, GID=537
<86>Mar 28 08:42:42 useradd[204717]: new user: name=rooter, UID=537, GID=537, home=/root, shell=/bin/bash
<86>Mar 28 08:42:42 userdel[204746]: delete user 'builder'
<86>Mar 28 08:42:42 userdel[204746]: removed group 'builder' owned by 'builder'
<86>Mar 28 08:42:42 userdel[204746]: removed shadow group 'builder' owned by 'builder'
<86>Mar 28 08:42:42 groupadd[204768]: group added to /etc/group: name=builder, GID=538
<86>Mar 28 08:42:42 groupadd[204768]: group added to /etc/gshadow: name=builder
<86>Mar 28 08:42:42 groupadd[204768]: new group: name=builder, GID=538
<86>Mar 28 08:42:42 useradd[204783]: new user: name=builder, UID=538, GID=538, home=/usr/src, shell=/bin/bash
/usr/src/in/srpm/python-module-oauth2client-4.1.3-alt1.src.rpm: The use of such a license name is ambiguous: Apache
/usr/src/in/srpm/python-module-oauth2client-4.1.3-alt1.src.rpm: license not found in '/usr/share/license' directory: Software
/usr/src/in/srpm/python-module-oauth2client-4.1.3-alt1.src.rpm: license not found in '/usr/share/license' directory: License
<13>Mar 28 08:42:46 rpmi: libgdbm-1.8.3-alt10 1454943334 installed
<13>Mar 28 08:42:46 rpmi: libexpat-2.2.4-alt1 1503305345 installed
<13>Mar 28 08:42:46 rpmi: libp11-kit-0.23.15-alt1 sisyphus+226408.100.2.1 1554288204 installed
<13>Mar 28 08:42:46 rpmi: libtasn1-4.16.0-alt1 sisyphus+245480.100.1.1 1580825062 installed
<13>Mar 28 08:42:46 rpmi: rpm-macros-alternatives-0.5.1-alt1 sisyphus+226946.100.1.1 1554830426 installed
<13>Mar 28 08:42:46 rpmi: alternatives-0.5.1-alt1 sisyphus+226946.100.1.1 1554830426 installed
<13>Mar 28 08:42:46 rpmi: ca-certificates-2020.01.23-alt1 sisyphus+244791.300.2.1 1580285500 installed
<13>Mar 28 08:42:46 rpmi: ca-trust-0.1.2-alt1 sisyphus+233348.100.1.1 1561653823 installed
<13>Mar 28 08:42:46 rpmi: p11-kit-trust-0.23.15-alt1 sisyphus+226408.100.2.1 1554288204 installed
<13>Mar 28 08:42:46 rpmi: libcrypto1.1-1.1.1d-alt1.1 sisyphus+237931.100.2.1 1569235729 installed
<13>Mar 28 08:42:46 rpmi: libssl1.1-1.1.1d-alt1.1 sisyphus+237931.100.2.1 1569235729 installed
<13>Mar 28 08:42:46 rpmi: python3-3.8.2-alt1 sisyphus+244999.100.3.1 1585218480 installed
<13>Mar 28 08:42:47 rpmi: python3-base-3.8.2-alt1 sisyphus+244999.100.3.1 1585218480 installed
<13>Mar 28 08:42:47 rpmi: libpython3-3.8.2-alt1 sisyphus+244999.100.3.1 1585218480 installed
<13>Mar 28 08:42:47 rpmi: tests-for-installed-python3-pkgs-0.1.13.1-alt2 1535450458 installed
<13>Mar 28 08:42:47 rpmi: rpm-build-python3-0.1.13.1-alt2 1535450458 installed
warning: line 67: Deprecated PreReq converted to Requires(pre,postun): PreReq: python-module-oauth2client = 4.1.3-alt1
warning: line 78: Deprecated PreReq converted to Requires(pre,postun): PreReq: python-module-oauth2client = 4.1.3-alt1
warning: line 89: Deprecated PreReq converted to Requires(pre,postun): PreReq: python-module-oauth2client = 4.1.3-alt1
warning: line 108: Deprecated PreReq converted to Requires(pre,postun): PreReq: python3-module-oauth2client = 4.1.3-alt1
warning: line 119: Deprecated PreReq converted to Requires(pre,postun): PreReq: python3-module-oauth2client = 4.1.3-alt1
warning: line 130: Deprecated PreReq converted to Requires(pre,postun): PreReq: python3-module-oauth2client = 4.1.3-alt1
warning: Macro %prepare_sphinx not found
<13>Mar 28 08:43:17 rpmi: python-base-2.7.17-alt3 sisyphus+240580.60.5.1 1573516905 installed
<13>Mar 28 08:43:17 rpmi: python3-module-six-1.13.0-alt1 sisyphus+240546.100.2.1 1573542703 installed
<13>Mar 28 08:43:17 rpmi: python3-module-pkg_resources-1:41.4.0-alt1 sisyphus+238787.100.2.1 1570608044 installed
<13>Mar 28 08:43:17 rpmi: python3-module-click-7.0-alt1 sisyphus+233553.200.1.1 1561975479 installed
<13>Mar 28 08:43:17 rpmi: python3-module-pyasn1-0.4.8-alt1 sisyphus+241541.100.2.1 1574620393 installed
<13>Mar 28 08:43:17 rpmi: python3-module-zope.interface-4.7.2-alt1 sisyphus+244999.500.3.1 1585220597 installed
<13>Mar 28 08:43:17 rpmi: python3-module-attrs-19.3.0-alt1 sisyphus+240796.100.1.1 1573741715 installed
<13>Mar 28 08:43:17 rpmi: python3-module-ntlm-1.1.0-alt1.2 sisyphus+228512.100.1.1 1556654575 installed
<13>Mar 28 08:43:17 rpmi: python3-module-linecache2-1.0.0-alt1.git20150306.2.1 sisyphus+228360.2100.5.2 1556666704 installed
<13>Mar 28 08:43:17 rpmi: python3-module-traceback2-1.4.0-alt2.1 sisyphus+227534.300.1.3 1555957009 installed
<13>Mar 28 08:43:17 rpmi: python3-module-unittest2-1.1.0-alt3 sisyphus+227535.1100.2.1 1556009290 installed
<13>Mar 28 08:43:17 rpmi: python3-module-extras-1.0.0-alt1 sisyphus+227487.700.1.3 1555823037 installed
<13>Mar 28 08:43:17 rpmi: python3-module-idna-2.9-alt1 sisyphus+248055.100.1.1 1584555852 installed
<13>Mar 28 08:43:17 rpmi: python3-module-genshi-0.7-alt2 sisyphus+229363.100.1.1 1557847335 installed
<13>Mar 28 08:43:17 rpmi: python-module-extras-1.0.0-alt1 sisyphus+227487.700.1.3 1555823037 installed
<13>Mar 28 08:43:17 rpmi: python-sphinx-objects.inv-1:2.3.9.20200324-alt1 sisyphus+248564.100.1.1 1585184032 installed
<13>Mar 28 08:43:17 rpmi: python-module-sphinxcontrib-2.1.1-alt2.1.2 sisyphus+227529.1100.1.2 1555924423 installed
<13>Mar 28 08:43:17 rpmi: libsqlite3-3.31.0-alt1 sisyphus+244880.100.1.1 1579796940 installed
<13>Mar 28 08:43:17 rpmi: python3-modules-sqlite3-3.8.2-alt1 sisyphus+244999.100.3.1 1585218480 installed
<13>Mar 28 08:43:17 rpmi: python3-module-hyperlink-19.0.0-alt1 sisyphus+231791.100.1.1 1560104463 installed
<13>Mar 28 08:43:17 rpmi: python3-module-incremental-17.5.0-alt3 sisyphus+225625.45700.91.1 1555360824 installed
<13>Mar 28 08:43:17 rpmi: python3-module-click-tests-7.0-alt1 sisyphus+233553.200.1.1 1561975479 installed
<13>Mar 28 08:43:17 rpmi: python3-module-hamcrest-2.0.0-alt4.a1.git20150729 sisyphus+235493.2300.6.1 1565442379 installed
<13>Mar 28 08:43:17 rpmi: python-module-imagesize-1.1.0-alt1 sisyphus+229015.100.2.1 1557233756 installed
<13>Mar 28 08:43:17 rpmi: python-module-apipkg-1.5-alt1 1531926894 installed
<13>Mar 28 08:43:17 rpmi: python-module-monotonic-1.5-alt1 sisyphus+228239.100.1.1 1556319140 installed
<13>Mar 28 08:43:17 rpmi: python-module-wcwidth-0.1.7-alt2.1 sisyphus+227536.2000.1.2 1555963469 installed
<13>Mar 28 08:43:17 rpmi: python3-module-wcwidth-0.1.7-alt2.1 sisyphus+227536.2000.1.2 1555963469 installed
<13>Mar 28 08:43:17 rpmi: python3-module-more-itertools-7.0.0-alt3 sisyphus+226536.100.1.1 1554329928 installed
<13>Mar 28 08:43:17 rpmi: python3-module-iniconfig-1.0.0-alt2 sisyphus+235493.2400.6.1 1565442448 installed
<13>Mar 28 08:43:17 rpmi: python3-module-zipp-0.5.0-alt1 sisyphus+229321.100.1.1 1557825329 installed
<13>Mar 28 08:43:17 rpmi: python3-module-importlib_metadata-1.5.0-alt1 sisyphus+246069.300.1.1 1581604535 installed
<13>Mar 28 08:43:17 rpmi: python3-module-pluggy-0.13.0-alt2 sisyphus+246682.100.1.1 1582205671 installed
<13>Mar 28 08:43:17 rpmi: python3-module-werkzeug-0.16.1-alt1 sisyphus+248369.240.2.1 1585052763 installed
<13>Mar 28 08:43:17 rpmi: python3-module-itsdangerous-1.1.0-alt1 sisyphus+248369.400.1.1 1585046335 installed
<13>Mar 28 08:43:18 rpmi: python3-module-toml-0.10.0-alt3 sisyphus+235493.5400.8.1 1565463304 installed
<13>Mar 28 08:43:18 rpmi: python3-module-mimeparse-1.6.0-alt4 sisyphus+245937.100.1.1 1581510305 installed
<13>Mar 28 08:43:18 rpmi: python3-module-monotonic-1.5-alt1 sisyphus+228239.100.1.1 1556319140 installed
<13>Mar 28 08:43:18 rpmi: python3-module-entrypoints-0.3-alt1 sisyphus+227486.1700.1.3 1555815843 installed
<13>Mar 28 08:43:18 rpmi: python3-module-pycrypto-2.7-alt4.a1.git20140620 sisyphus+245000.53200.80.1 1583382713 installed
<13>Mar 28 08:43:18 rpmi: python3-module-constantly-15.1.0-alt5.qa1 sisyphus+228353.1600.3.1 1556554115 installed
<13>Mar 28 08:43:18 rpmi: python3-module-priority-1.3.0-alt1.qa1 sisyphus+228365.500.1.1 1556564499 installed
<13>Mar 28 08:43:18 rpmi: python3-module-hyperframe-5.2.0-alt1 sisyphus+231788.100.1.1 1560100609 installed
<13>Mar 28 08:43:18 rpmi: python3-module-hpack-3.0.0-alt1.qa1 sisyphus+227493.500.1.3 1555835217 installed
<13>Mar 28 08:43:18 rpmi: python3-module-h2-3.0.1-alt3 sisyphus+248282.100.1.1 1584886173 installed
<13>Mar 28 08:43:18 rpmi: python3-module-z3c-3.0.0-alt3 sisyphus+220440.100.1.1 1549119447 installed
<13>Mar 28 08:43:18 rpmi: python3-module-zc-1.0.0-alt6.2 1458024175 installed
<13>Mar 28 08:43:18 rpmi: python3-module-zope-3.3.0-alt8.5 sisyphus+225625.33400.91.1 1555314837 installed
<13>Mar 28 08:43:18 rpmi: python3-module-serial-3.4-alt1 1508504506 installed
<13>Mar 28 08:43:18 rpmi: python3-module-pygobject-2.28.6-alt10.1.1.1 sisyphus+245000.34566.79.1 1583258586 installed
<13>Mar 28 08:43:18 rpmi: python3-module-appdirs-1.4.3-alt2 sisyphus+246664.100.1.1 1582182741 installed
<13>Mar 28 08:43:18 rpmi: python3-module-apipkg-1.5-alt1 sisyphus+227465.1100.1.2 1555756555 installed
<13>Mar 28 08:43:18 rpmi: python3-module-py-1.8.0-alt5 sisyphus+242058.200.5.1 1575792989 installed
<13>Mar 28 08:43:18 rpmi: python3-module-snowballstemmer-1.2.0-alt2.1 1457859319 installed
<13>Mar 28 08:43:18 rpmi: python3-module-pyparsing-2.4.2-alt1 sisyphus+236061.100.3.1 1565853577 installed
<13>Mar 28 08:43:18 rpmi: python3-module-packaging-19.0-alt2 sisyphus+235493.3500.8.1 1565461874 installed
<13>Mar 28 08:43:18 rpmi: python3-module-markupsafe-1.1.1-alt1 sisyphus+248369.100.1.1 1585046136 installed
<13>Mar 28 08:43:18 rpmi: python3-module-jinja2-2.10.3-alt1 sisyphus+241982.100.1.1 1575023523 installed
<13>Mar 28 08:43:18 rpmi: python3-module-imagesize-1.1.0-alt1 sisyphus+229015.100.2.1 1557233756 installed
<13>Mar 28 08:43:18 rpmi: python3-module-pytz-1:2019.3-alt1 sisyphus+242012.100.2.1 1575623104 installed
<13>Mar 28 08:43:19 rpmi: python3-module-babel-1:2.6.0-alt1 sisyphus+228351.2400.6.2 1556652168 installed
<13>Mar 28 08:43:19 rpmi: python3-module-ndg-0.4.2-alt1.qa1 sisyphus+227504.1300.1.2 1555853234 installed
<13>Mar 28 08:43:19 rpmi: python3-module-chardet-3.0.4-alt1 sisyphus+227476.1700.1.2 1555756717 installed
<13>Mar 28 08:43:19 rpmi: python3-module-webencodings-0.5.1-alt2 sisyphus+245915.200.1.1 1581496105 installed
<13>Mar 28 08:43:19 rpmi: python3-module-pycparser-2.19-alt2 sisyphus+245734.100.1.1 1581192421 installed
<13>Mar 28 08:43:19 rpmi: python3-module-cffi-1.14.0-alt1 sisyphus+244999.200.3.1 1585219427 installed
<13>Mar 28 08:43:19 rpmi: python3-module-cryptography-2.8-alt2 sisyphus+245000.21750.79.1 1583234301 installed
<13>Mar 28 08:43:19 rpmi: python3-module-OpenSSL-19.0.0-alt1 sisyphus+238757.100.1.1 1570339901 installed
<13>Mar 28 08:43:19 rpmi: python3-module-ndg-httpsclient-0.4.2-alt1.qa1 sisyphus+227504.1300.1.2 1555853234 installed
<13>Mar 28 08:43:19 rpmi: python3-module-urllib3-2:1.25.6-alt1 sisyphus+238720.100.2.1 1570349439 installed
<13>Mar 28 08:43:19 rpmi: python3-module-requests-2.23.0-alt1 sisyphus+248062.500.2.1 1584568230 installed
<13>Mar 28 08:43:19 rpmi: python-module-sphinx-pickles-1:1.6.5-alt7 sisyphus+238085.300.2.1 1569317039 installed
<13>Mar 28 08:43:19 rpmi: rpm-macros-sphinx-1:1.6.5-alt7 sisyphus+238085.300.2.1 1569317039 installed
<13>Mar 28 08:43:19 rpmi: python-module-iniconfig-1.0.0-alt2 sisyphus+235493.2400.6.1 1565442448 installed
<13>Mar 28 08:43:19 rpmi: python-module-z3c-3.0.0-alt3 sisyphus+220440.100.1.1 1549119447 installed
<13>Mar 28 08:43:19 rpmi: python-module-appdirs-1.4.3-alt2 sisyphus+246664.200.1.1 1582182774 installed
<13>Mar 28 08:43:19 rpmi: python-module-google-0.4.2-alt2.1 sisyphus+228356.1500.3.1 1556633057 installed
<13>Mar 28 08:43:19 rpmi: python-module-markupsafe-1.1.1-alt1 sisyphus+248369.100.1.1 1585046136 installed
<13>Mar 28 08:43:19 rpmi: python-module-enum34-1.1.6-alt3 1527251693 installed
<13>Mar 28 08:43:20 rpmi: libxapian-1.4.15-alt1 sisyphus+248304.20.4.1 1585071490 installed
<13>Mar 28 08:43:20 rpmi: liblz4-1:1.9.2-alt1 sisyphus+238585.100.2.2 1570066927 installed
<13>Mar 28 08:43:20 rpmi: libgpg-error-1.36-alt1 sisyphus+225621.300.1.1 1553521082 installed
<13>Mar 28 08:43:20 rpmi: libgcrypt20-1.8.5-alt3 sisyphus+239622.100.1.1 1571746654 installed
<13>Mar 28 08:43:20 rpmi: libsystemd-1:245.2-alt1 sisyphus+248437.100.1.1 1585068161 installed
<13>Mar 28 08:43:20 rpmi: libdbus-1.12.16-alt2 sisyphus+240566.100.2.1 1573547696 installed
<13>Mar 28 08:43:20 rpmi: libxslt-1.1.34-alt2 sisyphus+248264.100.1.1 1584829770 installed
<13>Mar 28 08:43:20 rpmi: python3-module-cssselect-0.9.1-alt1.2 sisyphus+227479.1100.1.2 1555757152 installed
<13>Mar 28 08:43:20 rpmi: python3-module-html5lib-1:1.0.1-alt1 sisyphus+238807.100.2.1 1570465973 installed
<13>Mar 28 08:43:20 rpmi: python3-module-lxml-4.5.0-alt1 sisyphus+244999.400.3.1 1585220375 installed
<13>Mar 28 08:43:20 rpmi: python3-module-docutils-0.15.2-alt1 sisyphus+239215.200.1.1 1576583082 installed
<13>Mar 28 08:43:20 rpmi: python3-module-alabaster-0.7.6-alt3 sisyphus+228351.700.4.1 1556637370 installed
<13>Mar 28 08:43:20 rpmi: python3-module-sphinxcontrib-applehelp-1.0.1-alt1 sisyphus+228217.100.1.1 1556282506 installed
<13>Mar 28 08:43:20 rpmi: python3-module-sphinxcontrib-devhelp-1.0.1-alt1 sisyphus+228218.100.1.1 1556283262 installed
<13>Mar 28 08:43:20 rpmi: python3-module-sphinxcontrib-htmlhelp-1.0.2-alt1 sisyphus+228401.100.1.1 1556572721 installed
<13>Mar 28 08:43:20 rpmi: python3-module-sphinxcontrib-jsmath-1.0.1-alt1 sisyphus+238085.500.1.1 1569313099 installed
<13>Mar 28 08:43:20 rpmi: python3-module-sphinxcontrib-qthelp-1.0.2-alt1 sisyphus+228215.100.1.1 1556282300 installed
<13>Mar 28 08:43:20 rpmi: python3-module-sphinxcontrib-serializinghtml-1.1.3-alt1 sisyphus+228216.100.1.1 1556282403 installed
<13>Mar 28 08:43:21 rpmi: python3-module-sphinx-1:2.2.0-alt3 sisyphus+238476.100.2.1 1569998637 installed
<13>Mar 28 08:43:21 rpmi: python3-module-Pygments-2.4.2-alt2 sisyphus+245852.1100.2.1 1581424681 installed
<13>Mar 28 08:43:21 rpmi: python3-module-pip-19.3.1-alt1 sisyphus+239412.200.3.1 1571409804 installed
<86>Mar 28 08:43:21 groupadd[262871]: group added to /etc/group: name=messagebus, GID=499
<86>Mar 28 08:43:21 groupadd[262871]: group added to /etc/gshadow: name=messagebus
<86>Mar 28 08:43:21 groupadd[262871]: new group: name=messagebus, GID=499
<86>Mar 28 08:43:21 useradd[262884]: new user: name=messagebus, UID=499, GID=499, home=/run/dbus, shell=/dev/null
<13>Mar 28 08:43:21 rpmi: dbus-1.12.16-alt2 sisyphus+240566.100.2.1 1573547696 installed
<13>Mar 28 08:43:21 rpmi: dbus-tools-1.12.16-alt2 sisyphus+240566.100.2.1 1573547696 installed
<13>Mar 28 08:43:21 rpmi: python3-module-dbus-1.2.14-alt3 sisyphus+245000.33500.79.1 1583254468 installed
<13>Mar 28 08:43:21 rpmi: python3-module-secretstorage-2.3.1-alt2 sisyphus+227469.1700.2.1 1555698099 installed
<13>Mar 28 08:43:21 rpmi: python-modules-curses-2.7.17-alt4 sisyphus+244873.100.2.1 1581419544 installed
<13>Mar 28 08:43:21 rpmi: libtinfo-devel-6.1.20180407-alt2 sisyphus+222164.200.1.1 1550686226 installed
<13>Mar 28 08:43:21 rpmi: libncurses-devel-6.1.20180407-alt2 sisyphus+222164.200.1.1 1550686226 installed
<13>Mar 28 08:43:22 rpmi: python3-dev-3.8.2-alt1 sisyphus+244999.100.3.1 1585218480 installed
<13>Mar 28 08:43:22 rpmi: python3-module-setuptools-1:41.4.0-alt1 sisyphus+238787.100.2.1 1570608044 installed
<13>Mar 28 08:43:22 rpmi: python3-module-pbr-5.4.4-alt1 sisyphus+242745.100.1.1 1576083899 installed
<13>Mar 28 08:43:22 rpmi: python3-module-mock-2.0.0-alt1 sisyphus+224400.100.2.1 1554338032 installed
<13>Mar 28 08:43:22 rpmi: python3-module-twisted-runner-18.9.0-alt1 sisyphus+245000.25400.79.1 1583246892 installed
<13>Mar 28 08:43:22 rpmi: python3-module-twisted-logger-18.9.0-alt1 sisyphus+245000.25400.79.1 1583246892 installed
<13>Mar 28 08:43:22 rpmi: python3-module-twisted-web-18.9.0-alt1 sisyphus+245000.25400.79.1 1583246892 installed
<13>Mar 28 08:43:22 rpmi: python3-module-twisted-conch-18.9.0-alt1 sisyphus+245000.25400.79.1 1583246892 installed
<13>Mar 28 08:43:22 rpmi: python3-module-twisted-names-18.9.0-alt1 sisyphus+245000.25400.79.1 1583246892 installed
<13>Mar 28 08:43:22 rpmi: python3-module-twisted-pair-18.9.0-alt1 sisyphus+245000.25400.79.1 1583246892 installed
<13>Mar 28 08:43:22 rpmi: python3-module-twisted-positioning-18.9.0-alt1 sisyphus+245000.25400.79.1 1583246892 installed
<13>Mar 28 08:43:22 rpmi: python3-module-twisted-core-test-18.9.0-alt1 sisyphus+245000.25400.79.1 1583246892 installed
<13>Mar 28 08:43:22 rpmi: python3-module-twisted-words-18.9.0-alt1 sisyphus+245000.25400.79.1 1583246892 installed
<13>Mar 28 08:43:22 rpmi: python3-module-automat-20.2.0-alt1 sisyphus+248641.100.1.1 1585254697 installed
<13>Mar 28 08:43:23 rpmi: python3-module-twisted-core-18.9.0-alt1 sisyphus+245000.25400.79.1 1583246892 installed
<13>Mar 28 08:43:23 rpmi: python3-module-fixtures-3.0.0-alt1 sisyphus+228355.1300.2.1 1556559276 installed
<13>Mar 28 08:43:23 rpmi: python3-module-testscenarios-0.5.0-alt2.1 sisyphus+227532.1500.1.3 1555940808 installed
<13>Mar 28 08:43:23 rpmi: python3-module-testtools-2.3.0-alt2 sisyphus+227976.100.1.2 1555992585 installed
<13>Mar 28 08:43:23 rpmi: libverto-0.3.0-alt1_7 sisyphus+225932.100.1.1 1553994919 installed
<13>Mar 28 08:43:23 rpmi: libkeyutils-1.6-alt2 sisyphus+226520.100.2.1 1554512089 installed
<13>Mar 28 08:43:23 rpmi: libcom_err-1.44.6-alt1 sisyphus+224154.100.1.1 1552091678 installed
<86>Mar 28 08:43:23 groupadd[264413]: group added to /etc/group: name=_keytab, GID=498
<86>Mar 28 08:43:23 groupadd[264413]: group added to /etc/gshadow: name=_keytab
<86>Mar 28 08:43:23 groupadd[264413]: new group: name=_keytab, GID=498
<13>Mar 28 08:43:23 rpmi: libkrb5-1.17.1-alt1 sisyphus+242784.100.1.1 1576137330 installed
<13>Mar 28 08:43:23 rpmi: libtirpc-1.0.3-alt1 1532008017 installed
<13>Mar 28 08:43:23 rpmi: libnsl2-1.1.0-alt1_1 1511548749 installed
<13>Mar 28 08:43:23 rpmi: python-modules-compiler-2.7.17-alt4 sisyphus+244873.100.2.1 1581419544 installed
<13>Mar 28 08:43:23 rpmi: python-modules-email-2.7.17-alt4 sisyphus+244873.100.2.1 1581419544 installed
<13>Mar 28 08:43:23 rpmi: python-modules-unittest-2.7.17-alt4 sisyphus+244873.100.2.1 1581419544 installed
<13>Mar 28 08:43:23 rpmi: python-modules-encodings-2.7.17-alt4 sisyphus+244873.100.2.1 1581419544 installed
<13>Mar 28 08:43:23 rpmi: python-modules-2.7.17-alt4 sisyphus+244873.100.2.1 1581419544 installed
<13>Mar 28 08:43:23 rpmi: python-modules-nis-2.7.17-alt4 sisyphus+244873.100.2.1 1581419544 installed
<13>Mar 28 08:43:23 rpmi: python-module-six-1.13.0-alt1 sisyphus+240546.100.2.1 1573542703 installed
<13>Mar 28 08:43:23 rpmi: python-module-pkg_resources-1:41.4.0-alt1 sisyphus+238787.100.2.1 1570608044 installed
<13>Mar 28 08:43:23 rpmi: python-modules-json-2.7.17-alt4 sisyphus+244873.100.2.1 1581419544 installed
<13>Mar 28 08:43:23 rpmi: python-modules-ctypes-2.7.17-alt4 sisyphus+244873.100.2.1 1581419544 installed
<13>Mar 28 08:43:23 rpmi: python-modules-xml-2.7.17-alt4 sisyphus+244873.100.2.1 1581419544 installed
<13>Mar 28 08:43:23 rpmi: python-modules-multiprocessing-2.7.17-alt4 sisyphus+244873.100.2.1 1581419544 installed
<13>Mar 28 08:43:23 rpmi: python-modules-logging-2.7.17-alt4 sisyphus+244873.100.2.1 1581419544 installed
<13>Mar 28 08:43:23 rpmi: python-module-jinja2-2.10.3-alt1 sisyphus+241982.100.1.1 1575023523 installed
<13>Mar 28 08:43:23 rpmi: python-module-click-7.0-alt1 sisyphus+233553.200.1.1 1561975479 installed
<13>Mar 28 08:43:24 rpmi: python-tools-2to3-2.7.17-alt4 sisyphus+244873.100.2.1 1581419544 installed
<13>Mar 28 08:43:24 rpmi: python-module-pyasn1-0.4.8-alt1 sisyphus+241541.100.2.1 1574620393 installed
<13>Mar 28 08:43:24 rpmi: python-modules-hotshot-2.7.17-alt4 sisyphus+244873.100.2.1 1581419544 installed
<13>Mar 28 08:43:24 rpmi: python-module-backports-3.5.0.1-alt1.1.1 1517645428 installed
<13>Mar 28 08:43:24 rpmi: python-module-configparser-3.7.4-alt2 sisyphus+225584.100.1.1 1553412635 installed
<13>Mar 28 08:43:24 rpmi: python-module-linecache2-1.0.0-alt1.git20150306.2.1 sisyphus+228360.2100.5.2 1556666704 installed
<13>Mar 28 08:43:24 rpmi: python-module-traceback2-1.4.0-alt2.1 sisyphus+227534.300.1.3 1555957009 installed
<13>Mar 28 08:43:24 rpmi: python-module-unittest2-1.1.0-alt3 sisyphus+227535.1100.2.1 1556009290 installed
<13>Mar 28 08:43:24 rpmi: python-module-funcsigs-1.0.2-alt2 sisyphus+228355.2600.2.1 1556560236 installed
<13>Mar 28 08:43:24 rpmi: python-module-entrypoints-0.3-alt1 sisyphus+227486.1700.1.3 1555815843 installed
<13>Mar 28 08:43:24 rpmi: python-module-backports.ssl_match_hostname-3.5.0.1-alt1.1.1 1517645428 installed
<13>Mar 28 08:43:24 rpmi: python-module-future-0.16.0-alt2 sisyphus+228356.200.3.3 1556645013 installed
<13>Mar 28 08:43:24 rpmi: python-module-incremental-17.5.0-alt3 sisyphus+225625.45700.91.1 1555360824 installed
<13>Mar 28 08:43:24 rpmi: python-module-click-tests-7.0-alt1 sisyphus+233553.200.1.1 1561975479 installed
<13>Mar 28 08:43:24 rpmi: python-module-chardet-3.0.4-alt1 sisyphus+227476.1700.1.2 1555756717 installed
<13>Mar 28 08:43:24 rpmi: python-module-serial-3.4-alt1 1508504506 installed
<13>Mar 28 08:43:24 rpmi: python-module-werkzeug-0.16.1-alt1 sisyphus+248369.240.2.1 1585052763 installed
<13>Mar 28 08:43:24 rpmi: python-module-whoosh-2.7.4-alt1 1527697941 installed
<13>Mar 28 08:43:24 rpmi: python-module-webencodings-0.5.1-alt2 sisyphus+245915.100.1.1 1581496070 installed
<13>Mar 28 08:43:24 rpmi: python-module-constantly-15.1.0-alt5.qa1 sisyphus+228353.1600.3.1 1556554115 installed
<13>Mar 28 08:43:24 rpmi: python-module-more-itertools-1:5.0.0-alt2 sisyphus+226536.200.1.1 1554329977 installed
<13>Mar 28 08:43:24 rpmi: python-modules-bsddb-2.7.17-alt4 sisyphus+244873.100.2.1 1581419544 installed
<13>Mar 28 08:43:24 rpmi: python-2.7.17-alt4 sisyphus+244873.100.2.1 1581419544 installed
<13>Mar 28 08:43:24 rpmi: python-strict-2.7.17-alt4 sisyphus+244873.100.2.1 1581419620 installed
<13>Mar 28 08:43:24 rpmi: python-modules-distutils-2.7.17-alt4 sisyphus+244873.100.2.1 1581419544 installed
<13>Mar 28 08:43:24 rpmi: python-module-attrs-19.3.0-alt1 sisyphus+240796.100.1.1 1573741715 installed
<13>Mar 28 08:43:24 rpmi: python-module-idna-2.9-alt1 sisyphus+248055.100.1.1 1584555852 installed
<13>Mar 28 08:43:24 rpmi: python-module-hyperlink-19.0.0-alt1 sisyphus+231791.100.1.1 1560104463 installed
<13>Mar 28 08:43:24 rpmi: python-module-pycparser-2.19-alt2 sisyphus+245734.100.1.1 1581192421 installed
<13>Mar 28 08:43:24 rpmi: python-module-cffi-1.14.0-alt1 sisyphus+244999.200.3.1 1585219427 installed
<13>Mar 28 08:43:24 rpmi: python-module-PyStemmer-1.0.1-alt1.2.1 1321388303 installed
<13>Mar 28 08:43:24 rpmi: python-module-snowballstemmer-1.2.0-alt2.1 1457859319 installed
<13>Mar 28 08:43:24 rpmi: python-module-cssselect-0.9.1-alt1.2 sisyphus+227479.1100.1.2 1555757152 installed
<13>Mar 28 08:43:24 rpmi: python-module-html5lib-1:1.0.1-alt1 sisyphus+238807.100.2.1 1570465973 installed
<13>Mar 28 08:43:24 rpmi: python-module-lxml-4.5.0-alt1 sisyphus+244999.400.3.1 1585220375 installed
<13>Mar 28 08:43:25 rpmi: python-module-docutils-0.14-alt3 sisyphus+239215.40.2.1 1576588058 installed
<13>Mar 28 08:43:25 rpmi: python-module-ntlm-1.1.0-alt1.2 sisyphus+228512.100.1.1 1556654575 installed
<13>Mar 28 08:43:25 rpmi: python-module-pytz-1:2019.3-alt1 sisyphus+242012.100.2.1 1575623104 installed
<13>Mar 28 08:43:25 rpmi: python-module-babel-1:2.6.0-alt1 sisyphus+228351.2400.6.2 1556652168 installed
<13>Mar 28 08:43:25 rpmi: python-module-zc-1.0.0-alt6.2 1458024175 installed
<13>Mar 28 08:43:25 rpmi: python-module-zope.interface-4.7.2-alt1 sisyphus+244999.500.3.1 1585220597 installed
<13>Mar 28 08:43:25 rpmi: python-module-zope-3.3.0-alt8.5 sisyphus+225625.33400.91.1 1555314837 installed
<13>Mar 28 08:43:25 rpmi: python-module-dbus-1.2.14-alt3 sisyphus+245000.33500.79.1 1583254468 installed
<13>Mar 28 08:43:25 rpmi: python-module-ipaddress-1.0.18-alt2 sisyphus+245673.200.1.1 1581087895 installed
<13>Mar 28 08:43:26 rpmi: python-module-cryptography-2.8-alt2 sisyphus+245000.21750.79.1 1583234301 installed
<13>Mar 28 08:43:26 rpmi: python-module-OpenSSL-19.0.0-alt1 sisyphus+238757.100.1.1 1570339901 installed
<13>Mar 28 08:43:26 rpmi: python-module-secretstorage-2.3.1-alt1 sisyphus.217791.100 1544701460 installed
<13>Mar 28 08:43:26 rpmi: python-module-simplejson-3.15.0-alt3.qa1 sisyphus+245000.7400.78.1 1583199104 installed
<13>Mar 28 08:43:26 rpmi: python-module-ndg-0.4.2-alt1.qa1 sisyphus+227504.1300.1.2 1555853234 installed
<13>Mar 28 08:43:26 rpmi: python-module-ndg-httpsclient-0.4.2-alt1.qa1 sisyphus+227504.1300.1.2 1555853234 installed
<13>Mar 28 08:43:26 rpmi: python-module-urllib3-2:1.25.6-alt1 sisyphus+238720.100.2.1 1570349439 installed
<13>Mar 28 08:43:26 rpmi: python-module-requests-2.23.0-alt1 sisyphus+248062.400.2.1 1584568195 installed
<13>Mar 28 08:43:26 rpmi: python-module-typing-3.6.6-alt2 sisyphus+220108.100.1.1 1548749697 installed
<13>Mar 28 08:43:26 rpmi: python-modules-sqlite3-2.7.17-alt4 sisyphus+244873.100.2.1 1581419544 installed
<13>Mar 28 08:43:26 rpmi: python-module-SQLAlchemy-1.3.8-alt1 sisyphus+245000.2200.78.1 1583194741 installed
<13>Mar 28 08:43:26 rpmi: python-module-atomicwrites-1.3.0-alt2 sisyphus+235493.500.3.1 1565370463 installed
<13>Mar 28 08:43:26 rpmi: python-module-contextlib2-0.5.5-alt2 sisyphus+228269.100.1.1 1556366540 installed
<13>Mar 28 08:43:26 rpmi: python-module-mimeparse-1.6.0-alt4 sisyphus+245937.200.1.1 1581510345 installed
<13>Mar 28 08:43:26 rpmi: python-module-itsdangerous-1.1.0-alt1 sisyphus+248369.400.1.1 1585046335 installed
<13>Mar 28 08:43:26 rpmi: python-module-scandir-1.10.0-alt1 sisyphus+225192.100.1.2 1552968870 installed
<13>Mar 28 08:43:26 rpmi: python-module-pathlib2-2.3.3-alt1 sisyphus+228364.300.4.1 1556886257 installed
<13>Mar 28 08:43:26 rpmi: python-module-zipp-0.5.0-alt1 sisyphus+229321.100.1.1 1557825329 installed
<13>Mar 28 08:43:26 rpmi: python-module-importlib_metadata-1.3.0-alt2 sisyphus+246069.100.1.1 1581604389 installed
<13>Mar 28 08:43:26 rpmi: python-module-pluggy-0.13.0-alt2 sisyphus+246682.200.1.1 1582205755 installed
<13>Mar 28 08:43:26 rpmi: python-module-pyparsing-2.4.2-alt1 sisyphus+236061.100.3.1 1565853577 installed
<13>Mar 28 08:43:26 rpmi: python-module-packaging-19.0-alt2 sisyphus+235493.3500.8.1 1565461874 installed
<13>Mar 28 08:43:26 rpmi: python-module-py-1.8.0-alt5 sisyphus+242058.200.5.1 1575792989 installed
<13>Mar 28 08:43:26 rpmi: python-module-xapian-1.4.15-alt1 sisyphus+248304.200.4.1 1585071699 installed
<13>Mar 28 08:43:26 rpmi: python-module-sphinxcontrib-websupport-1.0.1-alt5 sisyphus+238085.40.2.1 1569316750 installed
<13>Mar 28 08:43:26 rpmi: python-module-alabaster-0.7.6-alt3 sisyphus+228351.700.4.1 1556637370 installed
<13>Mar 28 08:43:26 rpmi: python-module-Pygments-2.4.2-alt2 sisyphus+245852.1100.2.1 1581424681 installed
<13>Mar 28 08:43:27 rpmi: python-module-sphinx-1:1.6.5-alt7 sisyphus+238085.300.2.1 1569317039 installed
<13>Mar 28 08:43:27 rpmi: libnsl2-devel-1.1.0-alt1_1 1511548749 installed
<13>Mar 28 08:43:27 rpmi: python-dev-2.7.17-alt4 sisyphus+244873.100.2.1 1581419544 installed
<13>Mar 28 08:43:27 rpmi: python-module-setuptools-1:41.4.0-alt1 sisyphus+238787.100.2.1 1570608044 installed
<13>Mar 28 08:43:27 rpmi: python-module-pydoctor-16.3.0-alt1.qa1 sisyphus.214897.100 1539781872 installed
<13>Mar 28 08:43:27 rpmi: python-module-twisted-logger-18.9.0-alt1 sisyphus+245000.25400.79.1 1583246892 installed
<13>Mar 28 08:43:27 rpmi: python-module-automat-20.2.0-alt1 sisyphus+248641.100.1.1 1585254697 installed
<13>Mar 28 08:43:27 rpmi: python-module-twisted-core-18.9.0-alt1 sisyphus+245000.25400.79.1 1583246892 installed
<13>Mar 28 08:43:27 rpmi: python-module-pbr-5.4.4-alt1 sisyphus+242745.100.1.1 1576083899 installed
<13>Mar 28 08:43:27 rpmi: python-module-mock-2.0.0-alt1 sisyphus+224400.100.2.1 1554338032 installed
<13>Mar 28 08:43:27 rpmi: python-module-fixtures-3.0.0-alt1 sisyphus+228355.1300.2.1 1556559276 installed
<13>Mar 28 08:43:27 rpmi: python-module-testscenarios-0.5.0-alt2.1 sisyphus+227532.1500.1.3 1555940808 installed
<13>Mar 28 08:43:27 rpmi: python-module-testtools-2.3.0-alt2 sisyphus+227976.100.1.2 1555992585 installed
<13>Mar 28 08:43:27 rpmi: python-module-fasteners-0.13.0-alt2 sisyphus+228354.1600.7.3 1556652520 installed
<13>Mar 28 08:43:27 rpmi: python-module-sphinx-devel-1:1.6.5-alt7 sisyphus+238085.300.2.1 1569317039 installed
<13>Mar 28 08:43:27 rpmi: python-module-pytest-4.6.6-alt1 sisyphus+240871.100.2.2 1573876190 installed
<13>Mar 28 08:43:27 rpmi: python-module-keyring-12.0.0-alt3 sisyphus+228359.2000.4.2 1556666660 installed
<13>Mar 28 08:43:27 rpmi: python-module-flask-1.1.1-alt1 sisyphus+236914.300.4.1 1567169521 installed
<13>Mar 28 08:43:27 rpmi: python-module-pyasn1-modules-0.2.8-alt1 sisyphus+241541.200.2.1 1574620466 installed
<13>Mar 28 08:43:27 rpmi: python-module-rsa-4.0-alt1 sisyphus+227525.1500.1.2 1555924587 installed
<13>Mar 28 08:43:27 rpmi: python-module-mox-0.5.3-alt3.git20140721.2 1527244998 installed
<13>Mar 28 08:43:27 rpmi: python-module-httplib2-0.9.1-alt1.2 sisyphus+227493.1200.1.3 1555835623 installed
<13>Mar 28 08:43:27 rpmi: python-module-pycrypto-2.7-alt4.a1.git20140620 sisyphus+245000.53200.80.1 1583382713 installed
<13>Mar 28 08:43:27 rpmi: python3-module-fasteners-0.13.0-alt2 sisyphus+228354.1600.7.3 1556652520 installed
<13>Mar 28 08:43:27 rpmi: python3-module-keyring-12.0.0-alt3 sisyphus+228359.2000.4.2 1556666660 installed
<13>Mar 28 08:43:27 rpmi: python3-module-flask-1.1.1-alt1 sisyphus+236914.300.4.1 1567169521 installed
<13>Mar 28 08:43:27 rpmi: python3-module-pytest-5.3.2-alt1 sisyphus+243085.100.1.1 1576516289 installed
<13>Mar 28 08:43:28 rpmi: python3-module-SQLAlchemy-1.3.8-alt1 sisyphus+245000.2200.78.1 1583194741 installed
<13>Mar 28 08:43:28 rpmi: python3-module-pyasn1-modules-0.2.8-alt1 sisyphus+241541.200.2.1 1574620466 installed
<13>Mar 28 08:43:28 rpmi: python3-module-rsa-4.0-alt1 sisyphus+227525.1500.1.2 1555924587 installed
<13>Mar 28 08:43:28 rpmi: python3-module-mox-0.5.3-alt3.git20140721.2 1527244998 installed
<13>Mar 28 08:43:28 rpmi: python3-module-httplib2-0.9.1-alt1.2 sisyphus+227493.1200.1.3 1555835623 installed
warning: line 67: Deprecated PreReq converted to Requires(pre,postun): PreReq: python-module-oauth2client = 4.1.3-alt1
warning: line 78: Deprecated PreReq converted to Requires(pre,postun): PreReq: python-module-oauth2client = 4.1.3-alt1
warning: line 89: Deprecated PreReq converted to Requires(pre,postun): PreReq: python-module-oauth2client = 4.1.3-alt1
warning: line 108: Deprecated PreReq converted to Requires(pre,postun): PreReq: python3-module-oauth2client = 4.1.3-alt1
warning: line 119: Deprecated PreReq converted to Requires(pre,postun): PreReq: python3-module-oauth2client = 4.1.3-alt1
warning: line 130: Deprecated PreReq converted to Requires(pre,postun): PreReq: python3-module-oauth2client = 4.1.3-alt1
Building target platforms: i586
Building for target i586
Wrote: /usr/src/in/nosrpm/python-module-oauth2client-4.1.3-alt1.nosrc.rpm
Reading Package Lists...
Building Dependency Tree...
MI2a: mark python3-module-pycryptodome
MI2a:  delete python3-module-pycrypto
Starting
Starting 2
Done
python-module-docutils is already the newest version.
python-module-html5lib is already the newest version.
python-module-httplib2 is already the newest version.
python-module-keyring is already the newest version.
python-module-mox is already the newest version.
Selecting python-module-sphinx for 'python-module-objects.inv'
python-module-sphinx is already the newest version.
python-module-pyasn1-modules is already the newest version.
python-module-rsa is already the newest version.
python-module-setuptools is already the newest version.
python-module-sphinx-devel is already the newest version.
python-module-mock is already the newest version.
python-module-fasteners is already the newest version.
python-module-flask is already the newest version.
python-module-pytest is already the newest version.
Selecting python-module-pycrypto for 'python2.7(Crypto)'
python-module-pycrypto is already the newest version.
rpm-build-python3 is already the newest version.
python3-module-httplib2 is already the newest version.
python3-module-keyring is already the newest version.
python3-module-mox is already the newest version.
python3-module-pyasn1-modules is already the newest version.
python3-module-rsa is already the newest version.
python3-module-setuptools is already the newest version.
python3-module-mock is already the newest version.
python3-module-fasteners is already the newest version.
python3-module-flask is already the newest version.
Selecting python3-module-SQLAlchemy for 'python3(sqlalchemy)'
python3-module-SQLAlchemy is already the newest version.
python3-module-pytest is already the newest version.
Selecting python3-module-pycryptodome for 'python3(Crypto)'
Version python-dev#2.7.17-alt4:sisyphus+244873.100.2.1@1581419544 for python-devel=2.7 is already installed
python-dev is already the newest version.
Version rpm-build-python#0.38.0-alt1:sisyphus+240773.200.3.1@1573963580 for rpm-build-python>=0.8 is already installed
rpm-build-python is already the newest version.
python-module-setuptools is already the newest version.
python3-module-setuptools is already the newest version.
The following packages will be REMOVED:
  python3-module-pycrypto
The following NEW packages will be installed:
  python3-module-pycryptodome
0 upgraded, 1 newly installed, 1 removed and 0 not upgraded.
Need to get 0B/1023kB of archives.
After unpacking 1879kB of additional disk space will be used.
Executing RPM (hsh-rpmi-print-files -e -r /tmp/hasher/aptbox --nodeps)...
hsh-rpmi-print-files: cannot erase packages: python3-module-pycrypto.i586
Executing RPM (hsh-rpmi-print-files -U -v -h -r /tmp/hasher/aptbox --oldpackage)...
/archive/repo/sisyphus/task/_242/248705/i586/RPMS.classic/python3-module-pycryptodome-3.9.4-alt1.i586.rpm
Done.
E: Sub-process hsh-rpmi-print-files returned an error code (1)
hsh-install: Failed to calculate package file list.
hsh-install: Failed to generate package file list.
Command exited with non-zero status 1
26.41user 8.27system 0:55.88elapsed 62%CPU (0avgtext+0avgdata 108700maxresident)k
99928inputs+0outputs (0major+468128minor)pagefaults 0swaps
