package Logoved::Stream::Out::Section::hasher::chroot::file_conflict;
use Moo;
extends 'Logoved::Stream::Out::Section';
with 'Logoved::Role::Stream::Out::Section';

my $re0=qr!^	file /.* conflicts between attempted installs of \S+ and \S+!;
my $re1=qr!^hsh-install: Packages installation failed\.!;

sub match_section_start {
    my ($self, $line) = @_;
    return ($line =~ $re0 or $line =~ $re1);
}

sub accept {
    my ($self, $line) = @_;
    return ($line =~ $re0 or $line =~ $re1);
}

1;
__END__
<86>Aug  1 12:04:45 userdel[5058]: delete user 'rooter'
<86>Aug  1 12:04:45 groupadd[5083]: group added to /etc/group: name=rooter, GID=557
<86>Aug  1 12:04:45 groupadd[5083]: group added to /etc/gshadow: name=rooter
<86>Aug  1 12:04:45 groupadd[5083]: new group: name=rooter, GID=557
<86>Aug  1 12:04:45 useradd[5095]: new user: name=rooter, UID=557, GID=557, home=/root, shell=/bin/bash
<86>Aug  1 12:04:45 userdel[5107]: delete user 'builder'
<86>Aug  1 12:04:45 groupadd[5112]: group added to /etc/group: name=builder, GID=558
<86>Aug  1 12:04:45 groupadd[5112]: new group: name=builder, GID=558
<86>Aug  1 12:04:45 useradd[5117]: new user: name=builder, UID=558, GID=558, home=/usr/src, shell=/bin/bash
	file /usr/bin/dbmmanage conflicts between attempted installs of apache-common-1.3.42rusPL30.24-alt9.1.i586 and apache2-base-1:2.4.33-alt1.S1.i586
	file /usr/bin/htdigest conflicts between attempted installs of apache-common-1.3.42rusPL30.24-alt9.1.i586 and apache2-base-1:2.4.33-alt1.S1.i586
	file /usr/bin/htpasswd conflicts between attempted installs of apache-common-1.3.42rusPL30.24-alt9.1.i586 and apache2-htpasswd-1:2.4.33-alt1.S1.i586
	file /usr/sbin/rotatelogs conflicts between attempted installs of apache-common-1.3.42rusPL30.24-alt9.1.i586 and apache2-base-1:2.4.33-alt1.S1.i586
	file /usr/share/man/man1/dbmmanage.1.xz conflicts between attempted installs of apache-common-1.3.42rusPL30.24-alt9.1.i586 and apache2-base-1:2.4.33-alt1.S1.i586
	file /usr/share/man/man1/htdigest.1.xz conflicts between attempted installs of apache-common-1.3.42rusPL30.24-alt9.1.i586 and apache2-base-1:2.4.33-alt1.S1.i586
	file /usr/share/man/man1/htpasswd.1.xz conflicts between attempted installs of apache-common-1.3.42rusPL30.24-alt9.1.i586 and apache2-htpasswd-1:2.4.33-alt1.S1.i586
	file /usr/share/man/man8/apachectl.8.xz conflicts between attempted installs of apache-common-1.3.42rusPL30.24-alt9.1.i586 and apache2-base-1:2.4.33-alt1.S1.i586
	file /usr/share/man/man8/httpd.8.xz conflicts between attempted installs of apache-common-1.3.42rusPL30.24-alt9.1.i586 and apache2-base-1:2.4.33-alt1.S1.i586
	file /usr/share/man/man8/rotatelogs.8.xz conflicts between attempted installs of apache-common-1.3.42rusPL30.24-alt9.1.i586 and apache2-base-1:2.4.33-alt1.S1.i586
	file /usr/sbin/apachectl conflicts between attempted installs of apache-base-1.3.42rusPL30.24-alt9.1.i586 and apache2-base-1:2.4.33-alt1.S1.i586
hsh-install: Packages installation failed.
__END__
<86>Apr  1 10:51:41 userdel[3987365]: delete user 'rooter'
<86>Apr  1 10:51:41 userdel[3987365]: removed group 'rooter' owned by 'rooter'
<86>Apr  1 10:51:41 userdel[3987365]: removed shadow group 'rooter' owned by 'rooter'
<86>Apr  1 10:51:41 groupadd[3987373]: group added to /etc/group: name=rooter, GID=585
<86>Apr  1 10:51:41 groupadd[3987373]: group added to /etc/gshadow: name=rooter
<86>Apr  1 10:51:41 groupadd[3987373]: new group: name=rooter, GID=585
<86>Apr  1 10:51:41 useradd[3987381]: new user: name=rooter, UID=585, GID=585, home=/root, shell=/bin/bash
<86>Apr  1 10:51:41 userdel[3987393]: delete user 'builder'
<86>Apr  1 10:51:41 userdel[3987393]: removed group 'builder' owned by 'builder'
<86>Apr  1 10:51:41 userdel[3987393]: removed shadow group 'builder' owned by 'builder'
<86>Apr  1 10:51:41 groupadd[3987403]: group added to /etc/group: name=builder, GID=586
<86>Apr  1 10:51:41 groupadd[3987403]: group added to /etc/gshadow: name=builder
<86>Apr  1 10:51:41 groupadd[3987403]: new group: name=builder, GID=586
<86>Apr  1 10:51:41 useradd[3987410]: new user: name=builder, UID=586, GID=586, home=/usr/src, shell=/bin/bash
warning: Macro %_qt5_bindir not found
	file /usr/lib/libvamp-hostsdk.so.3 conflicts between attempted installs of vamp-plugin-sdk-devel-2.9.0-alt2.i586 and libvamp-2.5-alt2.hg20140905.1.i586
	file /usr/lib/libvamp-sdk.so.2 conflicts between attempted installs of vamp-plugin-sdk-devel-2.9.0-alt2.i586 and libvamp-2.5-alt2.hg20140905.1.i586
	file /usr/include/vamp-hostsdk/PluginLoader.h conflicts between attempted installs of libvamp-devel-2.5-alt2.hg20140905.1.i586 and vamp-plugin-sdk-devel-2.9.0-alt2.i586
	file /usr/include/vamp-hostsdk/hostguard.h conflicts between attempted installs of libvamp-devel-2.5-alt2.hg20140905.1.i586 and vamp-plugin-sdk-devel-2.9.0-alt2.i586
	file /usr/include/vamp-sdk/FFT.h conflicts between attempted installs of libvamp-devel-2.5-alt2.hg20140905.1.i586 and vamp-plugin-sdk-devel-2.9.0-alt2.i586
	file /usr/include/vamp-sdk/Plugin.h conflicts between attempted installs of libvamp-devel-2.5-alt2.hg20140905.1.i586 and vamp-plugin-sdk-devel-2.9.0-alt2.i586
	file /usr/include/vamp-sdk/plugguard.h conflicts between attempted installs of libvamp-devel-2.5-alt2.hg20140905.1.i586 and vamp-plugin-sdk-devel-2.9.0-alt2.i586
	file /usr/include/vamp/vamp.h conflicts between attempted installs of libvamp-devel-2.5-alt2.hg20140905.1.i586 and vamp-plugin-sdk-devel-2.9.0-alt2.i586
	file /usr/lib/libvamp-hostsdk.so conflicts between attempted installs of libvamp-devel-2.5-alt2.hg20140905.1.i586 and vamp-plugin-sdk-devel-2.9.0-alt2.i586
	file /usr/lib/libvamp-sdk.so conflicts between attempted installs of libvamp-devel-2.5-alt2.hg20140905.1.i586 and vamp-plugin-sdk-devel-2.9.0-alt2.i586
	file /usr/lib/pkgconfig/vamp-hostsdk.pc conflicts between attempted installs of libvamp-devel-2.5-alt2.hg20140905.1.i586 and vamp-plugin-sdk-devel-2.9.0-alt2.i586
	file /usr/lib/pkgconfig/vamp-sdk.pc conflicts between attempted installs of libvamp-devel-2.5-alt2.hg20140905.1.i586 and vamp-plugin-sdk-devel-2.9.0-alt2.i586
	file /usr/lib/pkgconfig/vamp.pc conflicts between attempted installs of libvamp-devel-2.5-alt2.hg20140905.1.i586 and vamp-plugin-sdk-devel-2.9.0-alt2.i586
hsh-install: Packages installation failed.
Command exited with non-zero status 1
4.82user 4.59system 0:09.17elapsed 102%CPU (0avgtext+0avgdata 112996maxresident)k
24088inputs+0outputs (0major+215349minor)pagefaults 0swaps
__END__
##### this is beehive error appendage #####
Command exited with non-zero status 1
4.82user 4.59system 0:09.17elapsed 102%CPU (0avgtext+0avgdata 112996maxresident)k
24088inputs+0outputs (0major+215349minor)pagefaults 0swaps
