package Logoved::Stream::Out::Section::hasher::chroot::init;
use Moo;
extends 'Logoved::Stream::Out::Section';
with 'Logoved::Role::Stream::Out::Section';

sub is_mandatory {return 1};

sub get_error_classes {
    use Logoved::Stream::Out::Section::hasher::chroot::apt;
    return 'Logoved::Stream::Out::Section::hasher::chroot::apt';
}

sub match_section_start {
    my ($self, $line) = @_;
    my $match =
	# moved to hasher::chroot::cache
	#($line =~ /^<13>\S+\s+\d+ [0-9:]+ rpmi: /) ||
	($line =~ /^<86>\S+\s+\d+ [0-9:]+ (?:group|user)(?:add|del)\[\d+\]: .*(?:name=| ')(?:caller|rooter|builder)/);
    #warn "DEBUG: match=$match line=$line";
    return $match;
};

1;
__END__
<86>Aug  1 12:05:40 userdel[16275]: delete user 'rooter'
<86>Aug  1 12:05:40 userdel[16275]: removed group 'rooter' owned by 'rooter'
<86>Aug  1 12:05:40 userdel[16275]: removed shadow group 'rooter' owned by 'rooter'
<86>Aug  1 12:05:40 groupadd[16290]: group added to /etc/group: name=rooter, GID=547
<86>Aug  1 12:05:40 groupadd[16290]: group added to /etc/gshadow: name=rooter
<86>Aug  1 12:05:40 groupadd[16290]: new group: name=rooter, GID=547
<86>Aug  1 12:05:40 useradd[16297]: new user: name=rooter, UID=547, GID=547, home=/root, shell=/bin/bash
<86>Aug  1 12:05:40 userdel[16316]: delete user 'builder'
<86>Aug  1 12:05:40 userdel[16316]: removed group 'builder' owned by 'builder'
<86>Aug  1 12:05:40 groupadd[16325]: group added to /etc/group: name=builder, GID=548
<86>Aug  1 12:05:40 groupadd[16325]: group added to /etc/gshadow: name=builder
<86>Aug  1 12:05:40 groupadd[16325]: new group: name=builder, GID=548
<86>Aug  1 12:05:40 useradd[16338]: new user: name=builder, UID=548, GID=548, home=/usr/src, shell=/bin/bash
Reading Package Lists...
Building Dependency Tree...
E: Couldn't find package qtsingleapplication-qt5-devel
hsh-install: Failed to calculate package file list.
hsh-install: Failed to generate package file list.
---------------------------------------------------
<13>Aug  1 11:59:34 rpmi: setup-2.2.15-alt1 1503594490 installed
<13>Aug  1 11:59:34 rpmi: filesystem-2.3.16-alt1 1515521139 installed
<13>Aug  1 11:59:34 rpmi: glibc-preinstall-6:2.27-alt6 1530126039 installed
[...]
<13>Aug  1 11:59:44 rpmi: time-1:1.7-alt4 1449722762 installed
<86>Aug  1 11:59:45 groupadd[15254]: group added to /etc/group: name=caller, GID=544
<86>Aug  1 11:59:45 groupadd[15254]: group added to /etc/gshadow: name=caller
<86>Aug  1 11:59:45 groupadd[15254]: new group: name=caller, GID=544
<86>Aug  1 11:59:45 useradd[15269]: new user: name=caller, UID=544, GID=544, home=/, shell=/bin/bash
<86>Aug  1 11:59:45 groupadd[15306]: group added to /etc/group: name=rooter, GID=547
<86>Aug  1 11:59:45 groupadd[15306]: group added to /etc/gshadow: name=rooter
<86>Aug  1 11:59:45 groupadd[15306]: new group: name=rooter, GID=547
<86>Aug  1 11:59:45 useradd[15324]: new user: name=rooter, UID=547, GID=547, home=/root, shell=/bin/bash
<86>Aug  1 11:59:45 groupadd[15355]: group added to /etc/group: name=builder, GID=548
<86>Aug  1 11:59:45 groupadd[15355]: group added to /etc/gshadow: name=builder
<86>Aug  1 11:59:45 groupadd[15355]: new group: name=builder, GID=548
<86>Aug  1 11:59:45 useradd[15377]: new user: name=builder, UID=548, GID=548, home=/usr/src, shell=/bin/bash
__END__
<13>Aug  7 00:54:27 rpmi: libboost_system1.67.0-1:1.67.0-alt4 1533085122 installed
<13>Aug  7 00:54:27 rpmi: libexpat-2.2.4-alt1 1503305341 installed
<13>Aug  7 00:54:27 rpmi: libopenblas-0.2.20-alt1 1527006103 installed
<13>Aug  7 00:54:30 rpmi: libcrypto10-1.0.2o-alt1 1522836697 installed
<86>Aug  7 00:54:30 groupadd[23346]: group added to /etc/group: name=_keytab, GID=499
<86>Aug  7 00:54:30 groupadd[23346]: group added to /etc/gshadow: name=_keytab
<86>Aug  7 00:54:30 groupadd[23346]: new group: name=_keytab, GID=499
<13>Aug  7 00:54:31 rpmi: libkrb5-1.16-alt1.S1 1516715375 installed
<13>Aug  7 00:54:31 rpmi: libssl10-1.0.2o-alt1 1522836697 installed
<13>Aug  7 07:00:07 rpmi: rpm-build-java-1:5.0.0-alt1_12jpp8 1525973129 installed
sh  JAVA_HOME is not set and default java installation was not found. JAVA_HOME for system applications can be set in java.conf in /etc/java
<13>Aug  7 07:00:11 rpmi: xorg-proto-devel-2018.4-alt3 1527685079 installed
<13>Aug  7 07:19:01 rpmi: fontconfig-2.12.6-alt1.S1 1506000395 installed
Updating fonts cache: [ DONE ]
<29>Aug  7 07:19:02 fontconfig: Updating fonts cache: succeeded
<13>Aug  7 07:19:02 rpmi: libharfbuzz-icu-1.8.5-alt1 1533195837 installed
-------------------------------------------------------
<86>Aug  7 06:07:29 userdel[95679]: delete user 'rooter'
<86>Aug  7 06:07:29 userdel[95679]: removed group 'rooter' owned by 'rooter'
<86>Aug  7 06:07:29 userdel[95679]: removed shadow group 'rooter' owned by 'rooter'
<86>Aug  7 06:07:29 groupadd[95703]: group added to /etc/group: name=rooter, GID=564
<86>Aug  7 06:07:29 groupadd[95703]: group added to /etc/gshadow: name=rooter
<86>Aug  7 06:07:29 groupadd[95703]: new group: name=rooter, GID=564
<86>Aug  7 06:07:29 useradd[95728]: new user: name=rooter, UID=564, GID=564, home=/root, shell=/bin/bash
<86>Aug  7 06:07:29 userdel[95758]: delete user 'builder'
<86>Aug  7 06:07:29 userdel[95758]: removed group 'builder' owned by 'builder'
<86>Aug  7 06:07:29 userdel[95758]: removed shadow group 'builder' owned by 'builder'
<86>Aug  7 06:07:29 groupadd[95784]: group added to /etc/group: name=builder, GID=565
<86>Aug  7 06:07:29 groupadd[95784]: group added to /etc/gshadow: name=builder
<86>Aug  7 06:07:29 groupadd[95784]: new group: name=builder, GID=565
<86>Aug  7 06:07:29 useradd[95808]: new user: name=builder, UID=565, GID=565, home=/usr/src, shell=/bin/bash
warning: Macro %_qt3dir not found
warning: Macro %_qt3dir not found
warning: Macro %_qt3dir not found
warning: Macro %_qt3dir not found
warning: Macro %_qt3dir not found
Reading Package Lists...
Building Dependency Tree...
MI2a: mark gcc-c++
MI2a:  target gcc7-c++
MI2a:   mark gcc7-c++
MI2a:    target libstdc++7-devel
MI2a:     mark libstdc++7-devel
MI2a:      target gcc-c++-common
MI2a:       mark gcc-c++-common
E: Couldn't find package kdepim-devel
hsh-install: Failed to calculate package file list.
hsh-install: Failed to generate package file list.
Command exited with non-zero status 1
6.64user 1.48system 0:09.23elapsed 87%CPU (0avgtext+0avgdata 127484maxresident)k
0inputs+0outputs (0major+220324minor)pagefaults 0swaps
