package Logoved::Stream::Out::Section::hasher::chroot::sisyphus_check;
use Logoved::Stream::Out::Section::common::warning::sisyphus_check qw/$sisyphus_check_warning_re/;
use Moo;
extends 'Logoved::Stream::Out::Section';
with 'Logoved::Role::Stream::Out::Section';

sub match_section_start {
    my ($self, $line) = @_;
    return 0 if $line=~$sisyphus_check_warning_re;
    return $line=~m!^(?:/usr/src/in/srpm/\S+\.src\.rpm: |sisyphus_check: )!;
};

1;
__END__
<86>Dec  3 06:52:24 userdel[6600]: delete user 'rooter'
<86>Dec  3 06:52:24 groupadd[6609]: group added to /etc/group: name=rooter, GID=567
<86>Dec  3 06:52:24 groupadd[6609]: group added to /etc/gshadow: name=rooter
<86>Dec  3 06:52:24 groupadd[6609]: new group: name=rooter, GID=567
<86>Dec  3 06:52:24 useradd[6619]: new user: name=rooter, UID=567, GID=567, home=/root, shell=/bin/bash
<86>Dec  3 06:52:24 userdel[6631]: delete user 'builder'
<86>Dec  3 06:52:24 userdel[6631]: removed group 'builder' owned by 'builder'
<86>Dec  3 06:52:24 userdel[6631]: removed shadow group 'builder' owned by 'builder'
<86>Dec  3 06:52:24 groupadd[6642]: group added to /etc/group: name=builder, GID=568
<86>Dec  3 06:52:24 groupadd[6642]: group added to /etc/gshadow: name=builder
<86>Dec  3 06:52:24 groupadd[6642]: new group: name=builder, GID=568
<86>Dec  3 06:52:24 useradd[6650]: new user: name=builder, UID=568, GID=568, home=/usr/src, shell=/bin/bash
/usr/src/in/srpm/mchange-commons-0.2.11-alt2_8jpp8.src.rpm: forbidden requires: python-base
sisyphus_check: check-deps ERROR: package dependencies violation
/usr/src/in/srpm/mchange-commons-0.2.11-alt2_8jpp8.src.rpm: license not found in '/usr/share/license' directory: EPL
hsh-rebuild: mchange-commons-0.2.11-alt2_8jpp8.src.rpm: sisyphus_check failed.
Command exited with non-zero status 1
0.83user 1.51system 0:02.56elapsed 91%CPU (0avgtext+0avgdata 11252maxresident)k
0inputs+0outputs (0major+73678minor)pagefaults 0swaps
