package Logoved::Stream::Out::Section::hasher::chroot::srpm;
use Moo;
extends 'Logoved::Stream::Out::Section';
with 'Logoved::Role::Stream::Out::Section';
use Logoved::Stream::Out::Section::common::cleanup qw/cleanup_macros_artefacts/;

sub is_mandatory {return 1};

sub get_error_classes {
    use Logoved::Stream::Out::Section::hasher::timeout;
    use Logoved::Stream::Out::Section::hasher::chroot::error;
    use Logoved::Stream::Out::Section::hasher::chroot::sisyphus_check;
    return qw/
	Logoved::Stream::Out::Section::hasher::timeout
	Logoved::Stream::Out::Section::hasher::chroot::error
	Logoved::Stream::Out::Section::hasher::chroot::sisyphus_check
	/;
}

sub match_section_start {
    my ($self, $line) = @_;
    $line=cleanup_macros_artefacts($line);
    return $line=~/^Installing \S+.src.rpm/;
};

sub accept {
    my ($self, $line) = @_;
    my $count=$self->count();
    $line=cleanup_macros_artefacts($line);
    #print "DEBUG2: count=$count line=$line";
    if ($count==0) {
	if($line=~/^Installing (\S+)\.src\.rpm\b/) {
	    my $nvr=$1;
	    $self->messager->send_message('in:srpm_nvr', $nvr);
	    $self->messager->send_message('in:src.rpm', $nvr.'.src.rpm');
	    return 1;
	} else {
	    warn 'DEBUG: hasher::chroot::srpm: 0: bad line ',$line;
	    return 0;
	}
    } elsif ($count==1) {
	return $line=~/^Building target platforms:/;
    } elsif ($count==2) {
	if($line=~/^Building for target (\S+)/) {
	    $self->messager->send_message('target', $1);
	    return 1;
	} else {
	    warn 'DEBUG: hasher::chroot::srpm: 2: bad line ',$line;
	    return 0;
	}
    }
    return 0;
};


1;
__END__
Building target platforms: x86_64
Building for target x86_64
Wrote: /usr/src/in/nosrpm/openxcom-1.0_2017.10.15-alt1.nosrc.rpm
Installing openxcom-1.0_2017.10.15-alt1.src.rpm
Building target platforms: x86_64
Building for target x86_64
---------------------
echoBuilding target platforms: i586
Building for target i586
Wrote: /usr/src/in/nosrpm/fuse-funion-0.4.3-alt1.qa1.nosrc.rpm
echoInstalling fuse-funion-0.4.3-alt1.qa1.src.rpm
Building target platforms: i586
Building for target i586
