package Logoved::Stream::Out::Section::hasher::chroot::srpm::repack;
use Logoved::Stream::Out::Section::common::cleanup qw/cleanup_macros_artefacts/;
use Moo;
extends 'Logoved::Stream::Out::Section';
with 'Logoved::Role::Stream::Out::Section';

sub get_error_classes {
    use Logoved::Stream::Out::Section::hasher::timeout;
    use Logoved::Stream::Out::Section::hasher::chroot::error;
    return qw/
	Logoved::Stream::Out::Section::hasher::timeout
	Logoved::Stream::Out::Section::hasher::chroot::error
	/;
}

sub match_section_start {
    my ($self, $line) = @_;
    $line=cleanup_macros_artefacts($line);
    return $line=~/^Building target platforms:/;
}

sub accept {
    my ($self, $line) = @_;
    $line=cleanup_macros_artefacts($line);
    my $count=$self->count();
    #print "DEBUG2: count=$count line=$line";
    if ($count==0) {
	return $line=~/^Building target platforms:/;
    } elsif ($count==1) {
	return $line=~/^Building for target/;
    #} elsif ($count==2) {
    #	return $line=~/^Wrote: /;
    #} else {
    }
    return 1;
}


1;
__END__
Building target platforms: x86_64
Building for target x86_64
Wrote: /usr/src/in/nosrpm/openxcom-1.0_2017.10.15-alt1.nosrc.rpm
Installing openxcom-1.0_2017.10.15-alt1.src.rpm
Building target platforms: x86_64
Building for target x86_64
