package Logoved::Stream::Out::Section::rpmbuild::files::filelist_warnings;
use Moo;
extends 'Logoved::Stream::Out::Section';
with 'Logoved::Role::Stream::Out::Section::rpmbuild';

sub is_unique { return 0 };

# warnings from processPackageFiles in processBinaryFiles in build/files.c in rpm(-build)

# like
#warning: Symlink /usr/src/tmp/gnustep-systempreferences-buildroot/usr/lib64/GNUstep/Frameworks/PreferencePanes.framework/PreferencePanes destination changed from ./Versions/Current/PreferencePanes to Versions/Current/PreferencePanes

my $re1 = qr!^warning: (?:package with no files has \%\S+-script|Symlink \S.* destination changed from .* to \S|(?:File listed twice|absolute symlink|TIMECHECK failure): /\S)!;
# error, but rpm does not stop, so this is warning
my $re2 = qr!^error: cannot write /usr/src/tmp/.+-buildroot/\.\w+:\S!;


sub match_section_start {
    my ($self, $line) = @_;
    return ($line=~ $re1) || ($line=~ $re2);
}

sub accept {
    my ($self, $line) = @_;
    return ($line=~ $re1) || ($line=~ $re2);
}

1;
__END__
#rpm-build-guestfs-0.2-alt6:warning: package with no files has %post-script
__END__
Processing files: hazelcast-3.2.2-alt1_9jpp8
Executing(%doc): /bin/sh -e /usr/src/tmp/rpm-tmp.27677
+ umask 022
+ /bin/mkdir -p /usr/src/RPM/BUILD
+ cd /usr/src/RPM/BUILD
+ cd hazelcast-3.2.2
+ DOCDIR=/usr/src/tmp/hazelcast-buildroot/usr/share/doc/hazelcast-3.2.2
+ export DOCDIR
+ rm -rf /usr/src/tmp/hazelcast-buildroot/usr/share/doc/hazelcast-3.2.2
+ /bin/mkdir -p /usr/src/tmp/hazelcast-buildroot/usr/share/doc/hazelcast-3.2.2
+ cp -prL README.md /usr/src/tmp/hazelcast-buildroot/usr/share/doc/hazelcast-3.2.2
+ chmod -R go-w /usr/src/tmp/hazelcast-buildroot/usr/share/doc/hazelcast-3.2.2
+ chmod -R a+rX /usr/src/tmp/hazelcast-buildroot/usr/share/doc/hazelcast-3.2.2
+ cp -prL --no-dereference license.txt notice.txt /usr/src/tmp/hazelcast-buildroot/usr/share/doc/hazelcast-3.2.2
+ chmod -R go-w /usr/src/tmp/hazelcast-buildroot/usr/share/doc/hazelcast-3.2.2
+ chmod -R a+rX /usr/src/tmp/hazelcast-buildroot/usr/share/doc/hazelcast-3.2.2
+ exit 0
warning: File listed twice: /usr/share/java/hazelcast
Finding Provides (using /usr/lib/rpm/find-provides)
Executing: /bin/sh -e /usr/src/tmp/rpm-tmp.hjr5EP
find-provides: running scripts (alternatives,debuginfo,lib,maven,osgi-fc,pam,perl,pkgconfig,python,python3,shell)
[INFO maven.prov] input: ['/usr/src/tmp/hazelcast-buildroot/usr/share/maven-metadata/hazelcast-hazelcast.xml']
[INFO maven.prov] mvn(com.hazelcast:hazelcast) = 3.2.2, mvn(com.hazelcast:hazelcast:pom:) = 3.2.2, mvn(com.hazelcast:hazelcast-root:pom:) = 3.2.2
__END__
Processing files: meteor-0.5.9-alt1
warning: absolute symlink: /usr/src/tmp/meteor-buildroot/usr/bin/meteor -> /usr/lib64/meteor/meteor
Finding Provides (using /usr/lib/rpm/find-provides)
Executing: /bin/sh -e /usr/src/tmp/rpm-tmp.CZwxmz
find-provides: absolute symbolic link /usr/src/tmp/meteor-buildroot/usr/bin/meteor -> /usr/lib64/meteor/meteor is not going to provide anything
__END__
Executing(%doc): /bin/sh -e /usr/src/tmp/rpm-tmp.88748
+ umask 022
+ /bin/mkdir -p /usr/src/RPM/BUILD
+ cd /usr/src/RPM/BUILD
+ cd gnustep-systempreferences-1.2.0
+ DOCDIR=/usr/src/tmp/gnustep-systempreferences-buildroot/usr/share/doc/gnustep-systempreferences-1.2.0
+ export DOCDIR
+ rm -rf /usr/src/tmp/gnustep-systempreferences-buildroot/usr/share/doc/gnustep-systempreferences-1.2.0
+ /bin/mkdir -p /usr/src/tmp/gnustep-systempreferences-buildroot/usr/share/doc/gnustep-systempreferences-1.2.0
+ cp -prL ChangeLog README TODO /usr/src/tmp/gnustep-systempreferences-buildroot/usr/share/doc/gnustep-systempreferences-1.2.0
+ chmod -R go-w /usr/src/tmp/gnustep-systempreferences-buildroot/usr/share/doc/gnustep-systempreferences-1.2.0
+ chmod -R a+rX /usr/src/tmp/gnustep-systempreferences-buildroot/usr/share/doc/gnustep-systempreferences-1.2.0
+ exit 0
warning: Symlink /usr/src/tmp/gnustep-systempreferences-buildroot/usr/lib64/GNUstep/Frameworks/PreferencePanes.framework/PreferencePanes destination changed from ./Versions/Current/PreferencePanes to Versions/Current/PreferencePanes
warning: absolute symlink: /usr/src/tmp/gnustep-systempreferences-buildroot/usr/lib64/GNUstep/Frameworks/PreferencePanes.framework/Versions/1/PreferencePanes -> /usr/lib64/libPreferencePanes.so.1.0.0
warning: absolute symlink: /usr/src/tmp/gnustep-systempreferences-buildroot/usr/lib64/GNUstep/Frameworks/PreferencePanes.framework/Versions/1/libPreferencePanes.so -> /usr/lib64/libPreferencePanes.so.1.0.0
warning: absolute symlink: /usr/src/tmp/gnustep-systempreferences-buildroot/usr/lib64/GNUstep/Frameworks/PreferencePanes.framework/Versions/1/libPreferencePanes.so.1 -> /usr/lib64/libPreferencePanes.so.1.0.0
warning: absolute symlink: /usr/src/tmp/gnustep-systempreferences-buildroot/usr/lib64/GNUstep/Frameworks/PreferencePanes.framework/Versions/1/libPreferencePanes.so.1.0.0 -> /usr/lib64/libPreferencePanes.so.1.0.0
warning: Symlink /usr/src/tmp/gnustep-systempreferences-buildroot/usr/lib64/GNUstep/Frameworks/PreferencePanes.framework/libPreferencePanes.so destination changed from ./Versions/Current/libPreferencePanes.so to Versions/Current/libPreferencePanes.so
Finding Provides (using /usr/lib/rpm/find-provides)
Executing: /bin/sh -e /usr/src/tmp/rpm-tmp.EmEfro
find-provides: broken symbolic link /usr/src/tmp/gnustep-systempreferences-buildroot/usr/lib64/GNUstep/Frameworks/PreferencePanes.framework/PreferencePanes -> ./Versions/Current/PreferencePanes is not going to provide anything
find-provides: absolute symbolic link /usr/src/tmp/gnustep-systempreferences-buildroot/usr/lib64/GNUstep/Frameworks/PreferencePanes.framework/Versions/1/PreferencePanes -> /usr/lib64/libPreferencePanes.so.1.0.0 is not going to provide anything
__END__
Executing(%prep): /bin/sh -e /usr/src/tmp/rpm-tmp.23921
+ umask 022
+ /bin/mkdir -p /usr/src/RPM/BUILD
+ cd /usr/src/RPM/BUILD
+ exit 0
Processing files: livecd-firefox-0.1-alt7
warning: package with no files has %post-script
error: cannot write /usr/src/tmp/livecd-firefox-buildroot/.post:livecd-firefox
Requires(interp): /bin/sh
Requires(post): /usr/bin/firefox, /usr/lib64, /bin/sh
Wrote: /usr/src/RPM/RPMS/x86_64/livecd-firefox-0.1-alt7.x86_64.rpm (w2.lzdio)
0.01user 0.01system 0:00.02elapsed 100%CPU (0avgtext+0avgdata 6332maxresident)k
0inputs+0outputs (0major+3266minor)pagefaults 0swaps
/.out/livecd-firefox-0.1-alt7.x86_64.rpm: license not found in '/usr/share/license' directory: Public
/.out/livecd-firefox-0.1-alt7.x86_64.rpm: license not found in '/usr/share/license' directory: domain
1.16user 2.21system 0:03.42elapsed 98%CPU (0avgtext+0avgdata 9236maxresident)k
0inputs+0outputs (0major+167322minor)pagefaults 0swaps
