package Logoved::Stream::Pump;
use Moo;
use Logoved::Role::Stream::In;
use Logoved::Role::Stream::Out;

has in  => (is => 'ro', does => 'Logoved::Role::Stream::In');
has out => (is => 'ro', does => 'Logoved::Role::Stream::Out');

sub BUILD {
    my ($self)=@_;
    $self->__pump();
}

sub __pump {
    my ($self)=@_;
    my $in=$self->in;
    my $out=$self->out;
    my $line;
    while (defined ($line=$in->read)) {
	if ($out->accept($line)) {
	    $out->write($line);
	} else {
	    warn "Stream::Pump: line failed: ",$line;
	    $in->pushback($line);
	    return;
	    #$in->commit();
	}
    }
    $out->commit();
    return 1;
}

1;
